<?php

class Accounts extends CI_Controller {

    private $dir = 'accounts_ies';

    function __construct() {
        parent::__construct();
        common::is_logged();
    }

    function dashboard() {
        $emp_s_id = $this->session->userdata('employee_id');
        if ($emp_s_id != 21 && $emp_s_id != 2) {
            redirect('home');
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'accounts';
        $data['popup'] = true;
        $data['datalist'] = true;
        $data['job_status'] = 'Find';
        $data['action'] = 'accounts/dashboard';
        $data['page'] = 'dashboard';
        $data['page_title'] = 'Dashboard';
        $this->load->view('main', $data);
    }

    function po_issue_report($customer_id = '', $description_id = '', $account_status = '') {
        
         $emp_s_id = $this->session->userdata('employee_id');
        if ($emp_s_id != 21 && $emp_s_id != 2) {
            redirect('home');
        }
        
        $query = $this->db->query("select 
            actavo_cabling.actavo_cabling_id,actavo_cabling.customer_id,actavo_cabling.job_number,actavo_cabling.site_username,
            sum(actavo_cabling_po_requested.value) as sum_val 
            from actavo_cabling_po_requested  
            left join actavo_cabling_details on actavo_cabling_details.actavo_cabling_details_id=actavo_cabling_po_requested.actavo_cabling_details_id
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where 1  and actavo_cabling.customer_id='$customer_id' and actavo_cabling.description_id='$description_id'   
            and actavo_cabling_po_requested.account_status='$account_status' group by actavo_cabling.actavo_cabling_id");
        $data['gr_info'] = $query->result_array();


        $query1 = $this->db->query("select 
            sum(actavo_cabling_po_requested.value) as sum_val 
            from actavo_cabling_po_requested  
            left join actavo_cabling_details on actavo_cabling_details.actavo_cabling_details_id=actavo_cabling_po_requested.actavo_cabling_details_id
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where 1  and actavo_cabling.customer_id='$customer_id' and actavo_cabling.description_id='$description_id'   
            and actavo_cabling_po_requested.account_status='$account_status'");
        $all_total_info = $query1->row_array();

        $data['all_total_amount'] = $all_total_info['sum_val'];

        $data['company_info'] = sql::row("company_details");
        $data['customer_info'] = sql::row("customer", "customer_id='{$customer_id}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['popup'] = true;
        $data['datalist'] = true;
        $data['calender'] = true;
        $data['job_status'] = 'complete';
        $data['action'] = 'accounts/po_issue_report/' . $customer_id . '/' . $description_id;
        $data['customer_id'] = $customer_id;
        $data['description_id'] = $description_id;

        $data['account_status'] = $account_status;

        if ($account_status == 8) {
            $title_part = 'PO Issue';
        } else if ($account_status == 1) {
            $title_part = 'PO Request';
        } else if ($account_status == 5) {
            $title_part = ' Reject';
        }

        $data['dir'] = 'accounts';
        if ($description_id == 1) {
            $data['page'] = 'po_issue_report_poling';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Poling ' . $title_part;
        } else if ($description_id == 3) {
            $data['page'] = 'po_issue_report_esbt';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' ESBT ' . $title_part;
        } else if ($description_id == 6) {
            $data['page'] = 'po_issue_report_trimming';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Trimming ' . $title_part;
        } else if ($description_id == 7) {
            $data['page'] = 'po_issue_report_cabling';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Cabling ' . $title_part;
        }
        if ($data['page'] == '') {
            redirect('accounts/dashboard');
        }
        $this->load->view('main', $data);
    }

    
    
    function complete_issue_report($customer_id = '', $description_id = '', $account_status = '') {

 $emp_s_id = $this->session->userdata('employee_id');
        if ($emp_s_id != 21 && $emp_s_id != 2) {
            redirect('home');
        }

        $query = $this->db->query("select 
            actavo_cabling.actavo_cabling_id,actavo_cabling.customer_id,actavo_cabling.job_number,actavo_cabling.site_username,
              IFNULL(sum(actavo_cabling_details.value),0)+  IFNULL(sum(actavo_cabling_details.value_1),0)+  IFNULL(sum(actavo_cabling_details.value_2),0)  as sum_val 
            from actavo_cabling_details  
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where 1  and actavo_cabling.customer_id='$customer_id' and actavo_cabling.description_id='$description_id'   
            and 
            (actavo_cabling_details.status='approved' or actavo_cabling_details.status='complete') and actavo_cabling_account_status=0 
            group by actavo_cabling.actavo_cabling_id");
        $data['gr_info'] = $query->result_array();


        $query1 = $this->db->query("select 
              IFNULL(sum(actavo_cabling_details.value),0)+  IFNULL(sum(actavo_cabling_details.value_1),0)+  IFNULL(sum(actavo_cabling_details.value_2),0)  as sum_val 
            from actavo_cabling_details  
            left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id
            where 1  and actavo_cabling.customer_id='$customer_id' and actavo_cabling.description_id='$description_id'   
            and 
            (actavo_cabling_details.status='approved' or actavo_cabling_details.status='complete') and actavo_cabling_account_status=0");
        $all_total_info = $query1->row_array();

        $data['all_total_amount'] = $all_total_info['sum_val'];

        $data['company_info'] = sql::row("company_details");
        $data['customer_info'] = sql::row("customer", "customer_id='{$customer_id}'");
        $data['msg'] = $this->session->flashdata('msg');
        $data['popup'] = true;
        $data['datalist'] = true;
        $data['calender'] = true;
        $data['job_status'] = 'complete';
        $data['action'] = 'accounts/po_issue_report/' . $customer_id . '/' . $description_id;
        $data['customer_id'] = $customer_id;
        $data['description_id'] = $description_id;

        $data['account_status'] = $account_status;

        $title_part = 'Complete';

        $data['dir'] = 'accounts';
        if ($description_id == 1) {
            $data['page'] = 'complete_issue_report_poling';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Poling ' . $title_part;
        } else if ($description_id == 3) {
//            $data['page'] = 'complete_issue_report_esbt';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' ESBT ' . $title_part;
        } else if ($description_id == 6) {
            $data['page'] = 'complete_issue_report_trimming';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Trimming ' . $title_part;
        } else if ($description_id == 7) {
            $data['page'] = 'complete_issue_report_cabling';
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Cabling ' . $title_part;
        }
        if ($data['page'] == '') {
            redirect('accounts/dashboard');
        }
        $this->load->view('main', $data);
    }

    function invoiced_report($customer_id = '', $description_id = '') {
        
         $emp_s_id = $this->session->userdata('employee_id');
        if ($emp_s_id != 21 && $emp_s_id != 2) {
            redirect('home');
        }
        
        $query = $this->db->query("select actavo_cabling_invoice.*,customer.customer_name,contract.contract_name from actavo_cabling_invoice 
            left join customer on customer.customer_id=actavo_cabling_invoice.customer_id 
            left join contract on contract.contract_id=actavo_cabling_invoice.contract_id
                 where 1 and customer.customer_id='$customer_id' and actavo_cabling_invoice.description_id_inv='$description_id'  
              and actavo_cabling_invoice.po_number!=''  and is_paid is NULL  order by actavo_cabling_invoice.due_date asc");
        $data['contract'] = $query->result_array();

        $query1 = $this->db->query("select 
            sum(actavo_cabling_invoice.invoice_value) as sum_val,
            max(customer.customer_name) as customer_name,max(contract.contract_name) as contract_name  from actavo_cabling_invoice 
            left join customer on customer.customer_id=actavo_cabling_invoice.customer_id 
            left join contract on contract.contract_id=actavo_cabling_invoice.contract_id
                 where 1 and customer.customer_id='$customer_id' and actavo_cabling_invoice.description_id_inv='$description_id'  
              and actavo_cabling_invoice.po_number!=''  and is_paid is NULL ");
        $all_total_info = $query1->row_array();


        $data['all_total_amount'] = $all_total_info['sum_val'];

        $title_part = 'Invoiced';
        $data['company_info'] = sql::row("company_details");
        $data['customer_info'] = sql::row("customer", "customer_id='{$customer_id}'");
        if ($description_id == 1) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Poling ' . $title_part;
        } else if ($description_id == 3) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' ESBT ' . $title_part;
        } else if ($description_id == 6) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Trimming ' . $title_part;
        } else if ($description_id == 7) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Cabling ' . $title_part;
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'accounts';
        $data['header_title'] = "Sites";
        $data['page'] = 'invoiced_report_all';
        $this->load->view('main', $data);
    }
    
    
      function retension_report($customer_id = '', $description_id = '') {
        $query = $this->db->query("select   * from actavo_cabling  
            where 1  and actavo_cabling.customer_id='{$customer_id}'  
            and actavo_cabling.description_id='{$description_id}' 
            and actavo_cabling.checked_paid is NULL or actavo_cabling.checked_paid=0");
        $data['contract'] = $query->result_array();

        $query1 = $this->db->query("select   
            IFNULL(SUM(retension_out), 0) as sum_val 
            from actavo_cabling  
            where 1  and actavo_cabling.customer_id='{$customer_id}'  
            and actavo_cabling.description_id='{$description_id}' 
            and actavo_cabling.checked_paid is NULL or actavo_cabling.checked_paid=0");
        $all_total_info = $query1->row_array();


        $data['all_total_amount'] = $all_total_info['sum_val'];

        $title_part = 'Retension';
        $data['company_info'] = sql::row("company_details");
        $data['customer_info'] = sql::row("customer", "customer_id='{$customer_id}'");
        if ($description_id == 1) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Poling ' . $title_part;
        } else if ($description_id == 3) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' ESBT ' . $title_part;
        } else if ($description_id == 6) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Trimming ' . $title_part;
        } else if ($description_id == 7) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Cabling ' . $title_part;
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'accounts';
        $data['header_title'] = "Sites";
        $data['page'] = 'retension_report_all';
        $this->load->view('main', $data);
    }
    
    
    
    
    function find() {
        $condition = '';
        $condition1 = '';
        if (isset($_POST['old_barcode']) || isset($_POST['new_barcode'])) {
            if ($_POST['old_barcode'] != '') {
                $condition .= " barcode like '%{$_POST['old_barcode']}%'";
            }
            if ($_POST['old_barcode'] != '' && $_POST['new_barcode'] != '') {
                $condition .= " or ";
            }

            if ($_POST['new_barcode'] != '') {
                $condition1 .= " new_barcode like '%{$_POST['new_barcode']}%'";
            }
            if ($_POST['old_barcode'] != '' || $_POST['new_barcode'] != '') {
                $query = $this->db->query("SELECT 
                    actavo_cabling.description_id,
                    actavo_cabling.description_name,
                    actavo_cabling.job_number,
                    actavo_cabling.site_username,
                    actavo_cabling_details.rate_card, 
                    actavo_cabling_details.rate_card_qty,
                    actavo_cabling_details.rate, 
                    actavo_cabling_details.value, 
                    actavo_cabling_details.rate_card_1,
                    actavo_cabling_details.rate_1,
                    actavo_cabling_details.rate_card_qty_1, 
                    actavo_cabling_details.value_1,                    
                   actavo_cabling_details.actavo_cabling_details_id,
                   actavo_cabling_details.status,
                   actavo_cabling_details.work_type,
                   actavo_cabling_details.actavo_cabling_id,
                   actavo_cabling_details.submission_date,
                   actavo_cabling_details.barcode,
                   actavo_cabling_details.new_barcode,
                   actavo_cabling_details.all_emp,
                   actavo_cabling_details.leader_name,
                   actavo_cabling_po_requested.value as po_value,
                   actavo_cabling_po_requested.rate as po_rate,
                   actavo_cabling_po_requested.qty as po_qty,
                   actavo_cabling_po_requested.rate_card as po_rate_card,
                   actavo_cabling_invoice.tag_id_inv as tag_id_inv
                   FROM `actavo_cabling_details` left join actavo_cabling on actavo_cabling.actavo_cabling_id=actavo_cabling_details.actavo_cabling_id 
                   left join actavo_cabling_po_requested on actavo_cabling_po_requested.actavo_cabling_details_id=actavo_cabling_details.actavo_cabling_details_id 
                   left join actavo_cabling_invoice on actavo_cabling_invoice.tag_invoice_id=actavo_cabling_po_requested.invoice_id WHERE  $condition $condition1 ");
                $data['info'] = $query->result_array();
                
                
                
				$query = $this->db->query("SELECT 
                    actavo_cabling.description_id,
                    actavo_cabling.description_name,
                    actavo_cabling.job_number,
                    actavo_cabling.site_username,
                   tag_details.tag_details_id,
                    tag_details.size,
                    tag_details.route_length,
                    tag_details.confirm_code,
                   tag_details.code_status as status,
                   tag_details.power_serve as value,
                   tag_details.v_power_serve as value_1,
                   tag_details.tag_id as actavo_cabling_id,
                   tag_details.date_replaced as submission_date,
                   tag_details.barcode,
                   tag_details.new_barcode,
                   tag_details.tag_invoiced_id_track,tag_invoice.tag_id_inv,
                   tag_details.pole_type as work_type
                   FROM `tag_details` 
                   left join actavo_cabling on actavo_cabling.tag_id_old_panel=tag_details.tag_id 
                   left join tag_invoice on tag_invoice.tag_invoice_id=tag_details.tag_invoiced_id_track WHERE  $condition $condition1 ");
                $data['info_old'] = $query->result_array();
                
            }
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'accounts';
        $data['popup'] = true;
        $data['datalist'] = true;
        $data['job_status'] = 'Find';
        $data['action'] = 'accounts/find';
        $data['page'] = 'all_find';
        $data['page_title'] = 'Find All';
        $this->load->view('main', $data);
    }
    
    
    function notes_report($customer_id = '', $description_id = '') {

        $sql_inner = $this->db->query("select pole_approve_notes_app.*,customer.customer_full_name, 
                                           actavo_cabling.job_number,actavo_cabling.site_username from pole_approve_notes_app 
                                           left join actavo_cabling on actavo_cabling.actavo_cabling_id=pole_approve_notes_app.tag_id 
                                           left join customer on customer.customer_id=actavo_cabling.customer_id where 1 
                                           and  actavo_cabling.customer_id='$customer_id' and actavo_cabling.description_id='$description_id'  
                                           and pole_approve_notes_app.approve_comments is NOT NULL   and pole_approve_notes_app.note_status is NULL
                                               order by pole_approve_notes_app.approve_comments_date desc
                                            ");
        $data['info'] = $sql_inner->result_array();
        $title_part = ' Notes';
        $data['company_info'] = sql::row("company_details");
        $data['customer_info'] = sql::row("customer", "customer_id='{$customer_id}'");
        if ($description_id == 1) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Poling ' . $title_part;
        } else if ($description_id == 3) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' ESBT ' . $title_part;
        } else if ($description_id == 6) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Trimming ' . $title_part;
        } else if ($description_id == 7) {
            $data['page_title'] = $data['customer_info']['customer_name'] . ' Cabling ' . $title_part;
        }
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = 'accounts';
        $data['header_title'] = "Sites";
        $data['page'] = 'notes_report_all';
        $this->load->view('main', $data);
    }

    
}

?>