<?php

class Dashboard extends CI_Controller {

    private $dir = 'dashboard';

    function __construct() {
        parent::__construct();
        $this->load->model('dashboard_model');
        common::is_logged();
    }

    function poling_dashboard() {
        if ($_POST['week_no'] == '') {
            $data['week_number'] = date("W", strtotime('now'));
        } else {
            $data['week_number'] = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $data['year_number'] = date("o", strtotime('now'));
        } else {
            $data['year_number'] = $_POST['year'];
        }
        $week_no = sprintf("%02u", $data['week_number']);
        $data['date1'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "1"));
        $data['date2'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "7"));
        $data['pdf'] = true;
        $data['xls'] = true;
        $data['email'] = true;
        $data['popup_right'] = true;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'poling_dashboard';
        $data['page_title'] = 'Week/Value report';
        $this->load->view('main', $data);
    }

    function sales_dashboard() {
        if ($_POST['week_no'] == '') {
            $data['week_number'] = date("W", strtotime('now'));
        } else {
            $data['week_number'] = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $data['year_number'] = date("o", strtotime('now'));
        } else {
            $data['year_number'] = $_POST['year'];
        }
        $week_no = sprintf("%02u", $data['week_number']);
        $data['date1'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "1"));
        $data['date2'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "7"));

        $int_week_no = (int) $week_no;

        $int_month = (int) date("m", strtotime($data['date1']));

        $int_quarter = round(date("m", strtotime($data['date1'])) / 3);
        $int_year = date("Y", strtotime($data['date1']));

//        week(submission_date),year(submission_date),
        $sql = "SELECT leader_name,count(`actavo_cabling_details_id`),actavo_cabling.description_id,description.description_name,
                COUNT(CASE WHEN week(submission_date)=$int_week_no and actavo_cabling.description_id=1 THEN actavo_cabling_details.actavo_cabling_details_id END) week_count, 
                    
                SUM(CASE WHEN week(submission_date)=$int_week_no and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty END) week_count_qty, 
                SUM(CASE WHEN week(submission_date)=$int_week_no and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty_1 END) week_count_qty_1, 
                SUM(CASE WHEN week(submission_date)=$int_week_no and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty_2 END) week_count_qty_2, 
          
                COUNT(CASE WHEN month(submission_date)=$int_month  and actavo_cabling.description_id=1 THEN actavo_cabling_details.actavo_cabling_details_id END) month_count, 
                    
                SUM(CASE WHEN month(submission_date)=$int_month and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty END) month_count_qty, 
                SUM(CASE WHEN month(submission_date)=$int_month and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty_1 END) month_count_qty_1, 
                SUM(CASE WHEN month(submission_date)=$int_month and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty_2 END) month_count_qty_2, 
          
                   
                COUNT(CASE WHEN QUARTER(submission_date)=$int_quarter  and actavo_cabling.description_id=1 THEN actavo_cabling_details.actavo_cabling_details_id END) quarter_count, 
                    
                SUM(CASE WHEN QUARTER(submission_date)=$int_quarter and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty END) quarter_count_qty, 
                SUM(CASE WHEN QUARTER(submission_date)=$int_quarter and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty_1 END) quarter_count_qty_1, 
                SUM(CASE WHEN QUARTER(submission_date)=$int_quarter and (actavo_cabling.description_id=6 or actavo_cabling.description_id=7) THEN actavo_cabling_details.rate_card_qty_2 END) quarter_count_qty_2, 
                    
                SUM(CASE WHEN week(submission_date)=$int_week_no  THEN actavo_cabling_details.value END) week_value, 
                SUM(CASE WHEN week(submission_date)=$int_week_no  THEN actavo_cabling_details.value_1 END) week_value_1, 
                SUM(CASE WHEN week(submission_date)=$int_week_no  THEN actavo_cabling_details.value_2 END) week_value_2, 
                SUM(CASE WHEN month(submission_date)=$int_month  THEN actavo_cabling_details.value END) month_value, 
                SUM(CASE WHEN month(submission_date)=$int_month  THEN actavo_cabling_details.value_1 END) month_value_1,
                SUM(CASE WHEN month(submission_date)=$int_month  THEN actavo_cabling_details.value_2 END) month_value_2,
                SUM(CASE WHEN QUARTER(submission_date)=$int_quarter  THEN actavo_cabling_details.value END) quarter_value ,
                SUM(CASE WHEN QUARTER(submission_date)=$int_quarter  THEN actavo_cabling_details.value_1 END) quarter_value_1 ,
                SUM(CASE WHEN QUARTER(submission_date)=$int_quarter  THEN actavo_cabling_details.value_2 END) quarter_value_2 
                FROM `actavo_cabling_details`
                left join actavo_cabling on actavo_cabling.actavo_cabling_id=  actavo_cabling_details.actavo_cabling_id
                left join description on description.description_id=  actavo_cabling.description_id 
                WHERE 1 and year(`submission_date`)='$int_year' group by actavo_cabling.description_id,leader_name,year(submission_date)";
//        echo $sql;
        $query = $this->db->query($sql);
        $data['info'] = $query->result_array();

//        print_r($data['info']);

        $data['pdf'] = true;
        $data['xls'] = true;
        $data['email'] = true;
        $data['popup_right'] = true;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'sales_dashboard';
        $data['page_title'] = 'Sales report';
        $this->load->view('main', $data);
    }

    function payment_dashboard() {
        if ($_POST['week_no'] == '') {
            $data['week_number'] = date("W", strtotime('now'));
        } else {
            $data['week_number'] = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $data['year_number'] = date("o", strtotime('now'));
        } else {
            $data['year_number'] = $_POST['year'];
        }
        $week_no = sprintf("%02u", $data['week_number']);
        $data['date1'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "1"));
        $data['date2'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "7"));

        $int_week_no = (int) $week_no;

        $int_month = (int) date("m", strtotime($data['date1']));

        $int_quarter = round(date("m", strtotime($data['date1'])) / 3);
        $int_year = date("Y", strtotime($data['date1']));

        $sql = "SELECT sum(actavo_cabling_invoice.invoice_value) as invoice_value,
            actavo_cabling_invoice.customer_id,max(actavo_cabling_invoice.description_id_inv) as description_id_inv,
            customer.customer_full_name from   actavo_cabling_invoice
left join customer on customer.customer_id=actavo_cabling_invoice.customer_id

WHERE 1 and year(`actual_payment_date`)='$int_year' and week(`actual_payment_date`)='$int_week_no' 
    
                group by actavo_cabling_invoice.customer_id  order by customer.customer_full_name asc";
//        echo $sql;
        $query = $this->db->query($sql);
        $data['info'] = $query->result_array();

//        print_r($data['info']);

        $data['pdf'] = true;
        $data['xls'] = true;
        $data['email'] = true;
        $data['popup_right'] = true;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'payment_dashboard';
        $data['page_title'] = 'Payment report';
        $this->load->view('main', $data);
    }

    function due_dashboard() {
        if ($_POST['week_no'] == '') {
            $data['week_number'] = date("W", strtotime('now'));
        } else {
            $data['week_number'] = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $data['year_number'] = date("o", strtotime('now'));
        } else {
            $data['year_number'] = $_POST['year'];
        }
        $week_no = sprintf("%02u", $data['week_number']);
        $data['date1'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "1"));
        $data['date2'] = date("Y-m-d", strtotime($data['year_number'] . "W" . $week_no . "7"));

        $int_week_no = (int) $week_no;

        $int_month = (int) date("m", strtotime($data['date1']));

        $int_quarter = round(date("m", strtotime($data['date1'])) / 3);
        $int_year = date("Y", strtotime($data['date1']));

        $sql = "SELECT sum(actavo_cabling_invoice.invoice_value) as invoice_value,
            actavo_cabling_invoice.customer_id,max(actavo_cabling_invoice.description_id_inv) as description_id_inv,
            customer.customer_full_name from   actavo_cabling_invoice
left join customer on customer.customer_id=actavo_cabling_invoice.customer_id

WHERE 1  and actual_payment_date is NULL
    
                group by actavo_cabling_invoice.customer_id  order by customer.customer_full_name asc";

//        and year(`actual_payment_date`)='$int_year' and week(`actual_payment_date`)='$int_week_no' 
//        echo $sql;
        $query = $this->db->query($sql);
        $data['info'] = $query->result_array();

//        print_r($data['info']);

        $data['pdf'] = true;
        $data['xls'] = true;
        $data['email'] = true;
        $data['popup_right'] = true;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'due_dashboard';
        $data['page_title'] = 'Outstanding report';
        $this->load->view('main', $data);
    }
	
	 function pl_summary($year = '', $week = '') {
        if ($_POST['week_no'] == '') {
            $data['week_number'] = date("W", strtotime('now'));
        } else {
            $data['week_number'] = $_POST['week_no'];
        }
        if ($_POST['year'] == '') {
            $data['year_number'] = date("o", strtotime('now'));
        } else {
            $data['year_number'] = $_POST['year'];
        }
        $data['gr_info'] = sql::rows("profit_report", "year_number='{$data['year_number']}' and week_number='{$data['week_number']}' group by description_id", "max(description_id) as description_id,max(year_number) as year_number,max(week_number) as week_number,max(description_name) as description_name,max(confirmd_profit_report) as confirmd_profit_report,
            max(total_crew) as total_crew,max(pj_salary) as pj_salary,
            max(overheads_salary) as overheads_salary,
            max(overheads_salary) as overheads_salary,
            max(admin_fuel) as admin_fuel");
        $date1 = date("Y-m-d", strtotime($data['year_number'] . "W" . $data['week_number'] . "1"));
        $data['date2'] = date("d-M-y", strtotime($data['year_number'] . "W" . $data['week_number'] . "5"));
        $data['pdf'] = true;
        $data['xls'] = true;
        $data['email'] = true;
        $data['popup'] = true;
        $data['default_page'] = 1;
        $data['folder_name_email'] = 'pl';
        $data['file_name_email'] = 'pl';
        $data['subject'] = 'PL Report';
        $data['description_id'] = $description_id;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'index_summary';
        $data['page_title1'] = 'PL Report WK ' . $data['week_number'];
        $this->load->view('main', $data);
    }

}

?>