<?php

class employee extends CI_Controller {

    private $dir = 'employee';

    function __construct() {
        parent::__construct();
        $this->load->model('employee_model');
        common::is_logged();
    }

    function new_design() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        $total_rows = count($this->employee_model->get_employee_grid());

        $config['uri_segment'] = 3;

        $config['base_url'] = site_url('employee/index');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 50;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['employee_info'] = $this->employee_model->get_employee_grid($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee";
        $data['page_title'] = 'Employee';
        $data['page'] = 'index';
        $this->load->view('main', $data);
    }

    function index() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        $total_rows = count($this->employee_model->get_employee_grid());

        $config['uri_segment'] = 3;

        $config['base_url'] = site_url('employee/index');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 50;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['employee_info'] = $this->employee_model->get_employee_grid($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee";
        $data['page_title'] = 'Employee';
        $data['page'] = 'new_design';
        $this->load->view('main', $data);
    }

    function new_employee() {
        if ($_POST['save']) {
            if ($this->form_validation->run('valid_employee')) {
                $employee_id = $this->employee_model->save_employee();
                $this->employee_model->save_employee_add($employee_id);
                $this->session->set_flashdata('msg', 'Successfully Added!!!');
                redirect('employee');
            }
        }
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee')),
            array('title' => 'Add New Employee', 'url' => '')
        );

        $data['dir'] = $this->dir;
        $data['action'] = 'employee/new_employee';
        $data['page'] = 'employee_form';
        $data['page_title'] = 'Add New employee';
        $this->load->view('main', $data);
    }

    function is_valid_pps() {
        if (sql::count("employee", "employee_pps_number='{$_POST['employee_pps_number']}'") > 0 && $_POST['sess_value'] == '') {
            $this->form_validation->set_message('is_valid_pps', "The Employee PPS Number is already Used! Try another.");
            return false;
        } else {
            return true;
        }
    }

    function is_valid_email() {
        if (sql::count("employee", "employee_email='{$_POST['employee_email']}'") > 0 && $_POST['sess_value'] == '') {
            $this->form_validation->set_message('is_valid_email', "The Employee Email is already Used! Try another.");
            return false;
        } else {
            return true;
        }
    }

    function edit_employee($id = '') {
        $employee_id = $id - ID_GENERATE;
        $data = sql::row('employee', 'employee_id=' . $employee_id);
        $img = $data['image'];
        if ($_POST['save']) {
            $this->employee_model->update_employee($img); //Don't Change
            $this->session->set_flashdata('msg', 'Successfully Updated!!!');
            redirect('employee');
        }
        if (!is_numeric($employee_id)) {
            redirect('employee');
        }

        $this->session->set_userdata('employee_id', $data['employee_id']);
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee')),
            array('title' => 'Edit Employee', 'url' => '')
        );
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_employee/' . $id;
        $data['page'] = 'edit_employee';
        $data['page_title'] = 'Edit employee';
        $this->load->view('main', $data);
    }

    function delete_employee($id = '') {
        $employee_id = $id - ID_GENERATE;
        if ($employee_id == '') {
            redirect('employee');
        }
        $this->db->delete('employee', array('employee_id' => $employee_id));
        $this->db->delete('address_details', array('employee_id' => $employee_id));
        $this->db->delete('contact_details', array('employee_id' => $employee_id));
        $this->session->set_flashdata('msg', 'Successfully Deleted!!!');
        redirect('employee');
    }

    function delete_employee_address($id = '') {
        $employee_id = $id - ID_GENERATE;
        if ($employee_id == '') {
            redirect('employee');
        }

        $this->db->delete('address_details', array('address_details_id' => $employee_id));

        $this->session->set_flashdata('msg', 'Successfully Deleted!!!');
        redirect('employee/address');
    }

    function delete_employee_contact($id = '') {
        $employee_id = $id - ID_GENERATE;
        if ($employee_id == '') {
            redirect('employee');
        }

        $this->db->delete('contact_details', array('contact_details_id' => $employee_id, 'work_or_personal' => 1));

        $this->session->set_flashdata('msg', 'Successfully Deleted!!!');
        redirect('employee/contact');
    }

    function employee_status($status = 1, $id = '') {
        $employee_id = $id - ID_GENERATE;
        if ($employee_id == '') {
            redirect('employee');
        }
        $data = array('employee_status' => $status);
        $this->db->update('employee', $data, array('employee_id' => $employee_id));
        $this->session->set_flashdata('msg', 'Status Updated!!!');
        redirect('employee');
    }

    function salary() {
        if ($_POST['save']) {
            if ($this->form_validation->run('valid_employee_salary')) {
                $this->employee_model->save_employee_salary();
                $this->session->set_flashdata('msg', 'Successfully Added!!!');
                redirect('employee');
            }
        }
        $data['nav_array'] = array(
            array('title' => 'Manage Employee Salary', 'url' => site_url('employee')),
            array('title' => 'Add New Employee Salary', 'url' => '')
        );

        $data['dir'] = $this->dir;
        $data['action'] = 'employee/salary';
        $data['page'] = 'salary';
        $data['page_title'] = 'Add employee Salary';
        $this->load->view('main', $data);
    }

    function edit_salary($id = '') {
        $employee_id = $id - ID_GENERATE;
        if ($_POST['save']) {
            $this->employee_model->update_employee_salary(); //Don't Change
            $this->session->set_flashdata('msg', 'Successfully Updated!!!');
            redirect('employee/accounts');
        }
        if (!is_numeric($employee_id)) {
            redirect('employee/accounts');
        }
        $data = sql::row('employee_salary', 'employee_id=' . $employee_id); //Don't Change

        $this->session->set_userdata('employee_id_salary', $data['employee_id']); //Don't Change
        $data['nav_array'] = array(
            array('title' => 'Manage Salary', 'url' => site_url('employee')),
            array('title' => 'Edit Salary', 'url' => '')
        );
        $data['em_info'] = sql::row('employee', 'employee_id=' . $employee_id);

        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_salary/' . $id;
        $data['page'] = 'edit_salary';
        $data['page_title'] = 'Edit Salary';
        $this->load->view('main', $data);
    }

    function contact() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        if ($_REQUEST['file']) {
            $this->load->helper('download');
            $data = file_get_contents(UPLOAD_PATH . 'photos/customer/' . $_REQUEST['file']); // Read the file's contents
            $name = $_REQUEST['file'];
            force_download($name, $data);
        }
        $total_rows = count($this->employee_model->get_employee_contact_grid());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/contact');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 50;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['customer'] = $this->employee_model->get_employee_contact_grid($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee";
        $data['page_title'] = 'Employee';
        $data['page'] = 'contact';
        $this->load->view('main', $data);
    }

    function address() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        if ($_REQUEST['file']) {
            $this->load->helper('download');
            $data = file_get_contents(UPLOAD_PATH . 'photos/customer/' . $_REQUEST['file']); // Read the file's contents
            $name = $_REQUEST['file'];
            force_download($name, $data);
        }
        $total_rows = count($this->employee_model->get_employee_address_grid());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/address');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 50;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['customer'] = $this->employee_model->get_employee_address_grid($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee";
        $data['page_title'] = 'Employee';
        $data['page'] = 'address';
        $this->load->view('main', $data);
    }

    function accounts_old($start = '', $type_id = '') {
        if ($type_id == '' || $type_id == 0) {
            $this->session->unset_userdata('employee_type_id_record');
        } else {
            $this->session->set_userdata('employee_type_id_record', $type_id);
        }

        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        if ($_REQUEST['file']) {
            $this->load->helper('download');
            $data = file_get_contents(UPLOAD_PATH . 'photos/customer/' . $_REQUEST['file']); // Read the file's contents
            $name = $_REQUEST['file'];
            force_download($name, $data);
        }
        $total_rows = count($this->employee_model->get_employee_grid_for_show_by_director());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/accounts');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 100;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['customer'] = $this->employee_model->get_employee_grid_for_show_by_director($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee";
        $data['page_title'] = 'Employee';
        $data['page'] = 'accounts';
        $this->load->view('main', $data);
    }

    function accounts($type_id = '') {
        if ($type_id == '' || $type_id == 0) {
            $this->session->unset_userdata('employee_type_id_record');
        } else {
            $this->session->set_userdata('employee_type_id_record', $type_id);
        }


        $this->load->library('grid');
        $gridObj = new grid();
        $gridColumn = array('First Name', 'Last Name', 'Salary', 'D Rate', 'H Rate', 'Subsistance', 'Updated');
        $gridColumnModel = array(
            array("name" => "employee_first_name",
                "index" => "employee_first_name",
                "width" => 15,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_last_name",
                "index" => "employee_last_name",
                "width" => 15,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 15,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            )
        );
        if ($_POST['search']) {
            $gridObj->setGridOptions("Basic Pay", 1080, 250, "employee_last_name", "asc", $gridColumn, $gridColumnModel, site_url('?c=employee&m=load_all_accounts&employee_id=' . $_POST['employee_id']), true);
        } else {
            $gridObj->setGridOptions("Basic Pay", 1080, 250, "employee_last_name", "asc", $gridColumn, $gridColumnModel, site_url('employee/load_all_accounts'), false);
        }
        $data['grid_data'] = $gridObj->getGrid();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'accounts';
        $data['title'] = 'Basic Pay';
        $this->load->view('main', $data);
    }

    function load_all_accounts() {
        $this->employee_model->get_load_all_accounts_grid();
    }

    function add_employee_contact($employee_id = '') {
        //echo $employee_id;exit;
        if ($_POST['save']) {
            //if ($this->form_validation->run('valid_employee_address')) {
            $this->employee_model->save_employee_contact($employee_id);

            $this->session->set_flashdata('msg', 'Successfully Added!!!');
            redirect('employee/contact');
            //}
        }
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee')),
            array('title' => 'Add Employee Contact', 'url' => '')
        );
        $data['em_info'] = sql::row("employee", "employee_id=$employee_id");
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/add_employee_contact/' . $employee_id;
        $data['page'] = 'contact_form';
        $data['page_title'] = 'employee contact';
        $this->load->view('main', $data);
    }

    function edit_contact($id = '') {
        $contact_details_id = $id - ID_GENERATE;
        if ($_POST['save']) {
            $this->employee_model->update_contact($contact_details_id); //Don't Change
            $this->session->set_flashdata('msg', 'Successfully Updated!!!');
            redirect('employee');
        }
        if (!is_numeric($contact_details_id)) {
            redirect('employee');
        }
        $data = sql::row('contact_details', 'contact_details_id=' . $contact_details_id); //Don't Change
        //echo $data[employee_id];

        $data['em_info'] = sql::row("employee", "employee_id=$data[employee_id]");


        //$this->session->set_userdata('employee_id', $data['employee_id']); //Don't Change
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee/contact')),
            array('title' => 'Edit Contact', 'url' => '')
        );
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_contact/' . $id;
        $data['page'] = 'contact_form';
        $data['page_title'] = 'Contact';
        $this->load->view('main', $data);
    }

    function edit_personal_contact_details($contact_details_id = '', $address_details_id = '') {
        if ($_POST['save']) {
            $this->employee_model->update_personal_contact_details($contact_details_id, $address_details_id);
            $this->session->set_flashdata('msg', 'Successfully Updated!!!');
            redirect('employee');
        }
        if (!is_numeric($contact_details_id)) {
            redirect('employee');
        }
        if (!is_numeric($address_details_id)) {
            redirect('employee');
        }
        $data['c_info'] = sql::row('contact_details', 'contact_details_id=' . $contact_details_id);
        $data['a_info'] = sql::row('address_details', 'address_details_id=' . $address_details_id);
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_personal_contact_details/' . $contact_details_id . '/' . $address_details_id;
        $data['page'] = 'edit_personal_contact_details';
        $data['page_title'] = 'Edit Personal Contact Details';
        $this->load->view('main', $data);
    }

    function edit_emergency_contact_details($contact_details_id = '') {
        if ($_POST['save']) {
            $this->employee_model->update_emergency_contact_details($contact_details_id);
            $this->session->set_flashdata('msg', 'Successfully Updated!!!');
            redirect('employee');
        }
        if (!is_numeric($contact_details_id)) {
            redirect('employee');
        }
        $data['c_info'] = sql::row('contact_details', 'contact_details_id=' . $contact_details_id);
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_emergency_contact_details/' . $contact_details_id;
        $data['page'] = 'edit_emergency_contact_details';
        $data['page_title'] = 'Edit Emergency Contact Details';
        $this->load->view('main', $data);
    }

    function edit_address($id = '') {
        $address_id = $id - ID_GENERATE;
        if ($_POST['save']) {
            if ($this->form_validation->run('valid_employee_address')) {
                $this->employee_model->update_address($address_id);
                $this->session->set_flashdata('msg', 'Successfully Updated!!!');
                redirect('employee');
            }
        }
        if (!is_numeric($address_id)) {
            redirect('employee');
        }
        $data = sql::row('address_details', 'address_details_id=' . $address_id);
        $data['em_info'] = sql::row("employee", "employee_id=$data[employee_id]");
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee/address')),
            array('title' => 'Edit Address', 'url' => '')
        );
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_address/' . $id;
        $data['page'] = 'address_form';
        $data['page_title'] = 'Address';
        $this->load->view('main', $data);
    }

    function add_employee_address($employee_id = '') {
        //echo $employee_id;exit;
        if ($_POST['save']) {
            if ($this->form_validation->run('valid_employee_address')) {
                $this->employee_model->save_employee_address($employee_id);

                $this->session->set_flashdata('msg', 'Successfully Added!!!');
                redirect('employee/address');
            }
        }
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee')),
            array('title' => 'Add Employee Address', 'url' => '')
        );
        $data['em_info'] = sql::row("employee", "employee_id=$employee_id");
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/add_employee_address/' . $employee_id;
        $data['page'] = 'address_form';
        $data['page_title'] = 'Employee address';
        $this->load->view('main', $data);
    }

//    Contact Personal add edit delete



    function contact_personal() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        if ($_REQUEST['file']) {
            $this->load->helper('download');
            $data = file_get_contents(UPLOAD_PATH . 'photos/customer/' . $_REQUEST['file']); // Read the file's contents
            $name = $_REQUEST['file'];
            force_download($name, $data);
        }
        $total_rows = count($this->employee_model->get_employee_contact_grid());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/contact');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 50;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['customer'] = $this->employee_model->get_employee_contact_grid($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee";
        $data['page_title'] = 'Employee';
        $data['page'] = 'contact_personal';
        $this->load->view('main', $data);
    }

    function add_employee_contact_personal($employee_id = '') {
        if ($_POST['save']) {
            $this->employee_model->save_employee_contact_personal($employee_id);
            $this->session->set_flashdata('msg', 'Successfully Added!!!');
            redirect('employee/contact_personal');
        }
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee')),
            array('title' => 'Add Employee Contact', 'url' => '')
        );
        $data['em_info'] = sql::row("employee", "employee_id=$employee_id");
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/add_employee_contact_personal/' . $employee_id;
        $data['page'] = 'contact_form_personal';
        $data['page_title'] = 'employee contact';
        $this->load->view('main', $data);
    }

    function edit_contact_personal($id = '') {
        $contact_details_id = $id - ID_GENERATE;
        if ($_POST['save']) {
            $this->employee_model->update_contact_personal($contact_details_id); //Don't Change
            $this->session->set_flashdata('msg', 'Successfully Updated!!!');
            redirect('employee');
        }
        if (!is_numeric($contact_details_id)) {
            redirect('employee');
        }
        $data = sql::row('contact_details', 'contact_details_id=' . $contact_details_id); //Don't Change
        $data['em_info'] = sql::row("employee", "employee_id=$data[employee_id]");
        $data['nav_array'] = array(
            array('title' => 'Manage Employee', 'url' => site_url('employee/contact')),
            array('title' => 'Edit Contact', 'url' => '')
        );
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/edit_contact_personal/' . $id;
        $data['page'] = 'contact_form_personal';
        $data['page_title'] = 'Contact';
        $this->load->view('main', $data);
    }

    function delete_employee_contact_personal($id = '') {
        $employee_id = $id - ID_GENERATE;
        if ($employee_id == '') {
            redirect('employee');
        }
        $this->db->delete('contact_details', array('contact_details_id' => $employee_id, 'work_or_personal' => 2));
        $this->session->set_flashdata('msg', 'Successfully Deleted!!!');
        redirect('employee/contact_personal');
    }

//    function leave() {
//        $employee_id = $this->session->userdata('employee_id');
//        $data['leave'] = sql::rows('leavcalender', "employee_id=$employee_id", 'DayVal');
//        //print_r($data['leave']);exit;
//        if (isset($_POST) && count($_POST) > 0) {
//
//            for ($index = 1; $index < 13; $index++) {
//                $year = date('Y');
//                /*                 * ******** Leave govt *********** */
//                for ($d = 1; $d <= date('t', mktime(0, 0, 0, $index, 1, $year)); $d++) {
//                    if (isset($_POST[$index . "_" . $d])) {
//                        $data_week_end = array(
//                            'DayVal' => $this->input->post($index . "_" . $d),
//                            'Dat' => $d,
//                            'Mon' => (int) ($index),
//                            'employee_id' => $employee_id,
//                            'YearVal' => $year,
//                        );
//                        $str_week_end = $this->db->insert_string('leavcalender', $data_week_end);
//                        $status_week_end = $this->db->query($str_week_end);
//                    } //end of post
//                }//end of $d for loop
//            }//end of index for loop
//
//            redirect('employee/leave');
//        }
//        $data['dir'] = $this->dir;
//        $data['action'] = 'employee/leave';
//        $data['page'] = 'cl_month';
//        $data['page_title'] = 'Add employee contact';
//        $this->load->view('main', $data);
//    }








    function calender_month($monthval = NULL, $msg = NULL) {
        $this->load->library('session');
        $this->load->helper('form');
        if ($monthval == '') {
            $monthval = '1';
        } else {
            $monthval = $monthval;
        }
        $data = array(
            'cal' => $this->employee_model->monthval(),
            'msg' => $msg,
            'monthval' => $monthval,
            'dir' => 'employee',
            'page' => 'cl_month',
        );
        $this->load->view('main', $data);
    }

    function ajaxcalender() {
        //$mon=$_POST['sid'];

        $mon = 12;
        $date = time();
        $day = date('d', $date);
        $month = $mon;
        $year = date('Y', $date); //echo $year;
        $first_day = mktime(0, 0, 0, $month, 1, $year);
        $title = date('F', $first_day);
        $day_of_week = date('D', $first_day);
        switch ($day_of_week) {
            case "Sun": $blank = 0;
                break;
            case "Mon": $blank = 1;
                break;
            case "Tue": $blank = 2;
                break;
            case "Wed": $blank = 3;
                break;
            case "Thu": $blank = 4;
                break;
            case "Fri": $blank = 5;
                break;
            case "Sat": $blank = 6;
                break;
        }
        $days_in_month = cal_days_in_month(0, $month, $year);

        $str = '<table border="1" width="345"  ><tr><th colspan="7">' . $title . ' ' . date(Y) . ' </th> </tr>';
        $str .= '<tr><td>Su </td> <td>Mo </td><td>Tu</td> <td>We</td> <td>Th</td> <td>Fr</td> <td>Sa</td>  </tr>';

        $days_coun = 1;
        $str .= "<tr>";
        while ($blank > 0) {
            $str .= '<td></td>';
            $blank = $blank - 1;
            $days_coun++;
        }
        $days_num = 1;

        $ff = '';
        $bg = '';
        while ($days_num <= $days_in_month) {
            if (strlen($days_num) == 1) {
                $da_val = '0' . $days_num;
            } else {
                $da_val = $days_num;
            } //echo $bg;}
            if (strlen($month) == 1) {
                $mon = '0' . $month;
            } else {
                $mon = $month;
            }
            $ff = '';
            $bg = '';
            $str .= '<td ' . $bg . ' >' . $days_num . '<input ' . $ff . ' class="datecheckbox" type="checkbox"  name="' . $month . '_' . $days_num . '" value="' . $year . '-' . $mon . '-' . $da_val . '" id="' . $month . '_' . $days_num . '" onclick="days_chek(this)"  /></td>';
            $days_num++;
            $days_coun++;
            if ($days_coun > 7) {
                $str .= '</tr><tr>';
                $days_coun = 1;
            }
        }
        while ($days_coun > 1 && $days_coun <= 7) {
            $str .= '<td></td>';
            $days_coun++;
        }
        $str .= "</tr></table><br>
                <input type='hidden' name='leave_val' id='leave_val' value='$dtvalck' />
                <input type='hidden' name='work_day' id='work_day' value='' />
                ";
        //echo $str;
        $data['str'] = $str;

        $data['dir'] = $this->dir;
        $data['action'] = 'employee/leave';
        $data['page'] = 'cl_month';
        $data['page_title'] = 'Add employee contact';
        $this->load->view('main', $data);
    }

    function get_employee_leave() {
        define("ID_GENERATE", strtotime(date('Y-m-d')));
        $con = 1;
        if ($_POST['search']) {
            $year = $_POST['year'];
            $data['employee_id'] = $_POST['employee_id'];
            if ($year != '') {
                $con .= " and year(leavcalender.DayVal)='$year'";
            }
            if ($employee_id != '') {
                $con .= " and employee_id='$data[employee_id]'";
            }
        }
        $data['leave_year_data'] = sql::rows("leavcalender", "$con and status=1 group by year(leavcalender.DayVal) order by year(leavcalender.DayVal) desc", "year(leavcalender.DayVal) as year");
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee Leave";
        $data['page_title'] = 'Employee Leave';
        $data['page'] = 'employee_leave';
        $this->load->view('main', $data);
    }

    function holiday_report_old() {

        $con = 1;
        //$year = date('Y');
        if ($year != '') {
            $con .= " and year(leavcalender.DayVal)='$year'";
        }
        if ($_POST['search']) {
            $year = date('Y');
            $data['employee_id'] = $_POST['employee_id'];
            if ($year != '') {
                $con .= " and year(leavcalender.DayVal)='$year'";
            }
            if ($employee_id != '') {
                $con .= " and employee_id='$data[employee_id]'";
            }
        }

        //$data['leave'] = $this->employee_model->get_employee_leave();


        $data['leave_year_data'] = sql::rows("leavcalender", "$con and status=1 group by year(leavcalender.DayVal) order by year(leavcalender.DayVal) desc", "year(leavcalender.DayVal) as year");

        //print_r($data['leave_year_data']); exit;
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'holiday_report';
        $data['page_title'] = 'Employee Holiday Report';
        $this->load->view('main', $data);
    }

    function holiday_report() {

        $this->load->library('grid');
        $gridObj = new grid();
        $gridColumn = array('Employee Name', 'Leaving Date', 'Return Date', 'Authorized', 'Bank Holiday', 'Annual Leave', 'Carried Forward', 'Used', 'Available', 'Link');
        $gridColumnModel = array(
            array("name" => "e.employee_id",
                "index" => "e.employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "employee_id",
                "index" => "employee_id",
                "width" => 25,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            )
        );
        if ($_POST['search']) {
            $gridObj->setGridOptions("Holiday Report", 1080, 250, "id", "asc", $gridColumn, $gridColumnModel, site_url('?c=employee&m=load_holiday_report&uid=' . $_POST['uid']), true);
        } else {
            $gridObj->setGridOptions("Holiday Report", 1080, 250, "id", "asc", $gridColumn, $gridColumnModel, site_url('employee/load_holiday_report'), true);
        }
        $data['grid_data'] = $gridObj->getGrid();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'holiday_report';
        $data['title'] = 'Holiday Report';
        $this->load->view('main', $data);
    }

    function load_holiday_report() {
        $this->employee_model->get_holiday_report_grid();
    }

    function phonebook() {
        $data['info'] = sql::rows("contact_details");
        $data['dir'] = $this->dir;
        $data['header_title'] = "Phonebook";
        $data['page_title'] = 'Phonebook';
        $data['page'] = 'phone_book';
        $this->load->view('main', $data);
    }

    function salary_record_old($start = '', $type_id = '') {
        if ($type_id == '' || $type_id == 0) {
            $this->session->unset_userdata('employee_type_id_record');
        } else {
            $this->session->set_userdata('employee_type_id_record', $type_id);
        }

        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        if ($_REQUEST['file']) {
            $this->load->helper('download');
            $data = file_get_contents(UPLOAD_PATH . 'photos/customer/' . $_REQUEST['file']); // Read the file's contents
            $name = $_REQUEST['file'];
            force_download($name, $data);
        }
        $total_rows = count($this->employee_model->get_employee_grid_for_show_by_director());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/accounts');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 100;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['customer'] = $this->employee_model->get_employee_grid_for_show_by_director($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee Salary Record";
        $data['page_title'] = 'Employee Salary Record';
        $data['page'] = 'salary_record';
        $this->load->view('main', $data);
    }

    function salary_record($type_id = '') {
        if ($type_id == '' || $type_id == 0) {
            $this->session->unset_userdata('employee_type_id_record');
        } else {
            $this->session->set_userdata('employee_type_id_record', $type_id);
        }


        $this->load->library('grid');
        $gridObj = new grid();
        $gridColumn = array('Employee Name', 'Salary Amount', 'Subsistance', 'Expenses', 'Date');
        $gridColumnModel = array(
            array("name" => "employee_last_name",
                "index" => "employee_last_name",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 15,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            ),
            array("name" => "",
                "index" => "",
                "width" => 20,
                "sortable" => true,
                "align" => "left",
                "editable" => true
            )
        );
        if ($_POST['search']) {
            $gridObj->setGridOptions("Salary Record", 1080, 250, "e.employee_last_name", "asc", $gridColumn, $gridColumnModel, site_url('?c=employee&m=load_salary_record&employee_id=' . $_POST['employee_id']), true);
        } else {
            $gridObj->setGridOptions("Salary Record", 1080, 250, "e.employee_last_name", "asc", $gridColumn, $gridColumnModel, site_url('employee/load_salary_record'), false);
        }
        $data['grid_data'] = $gridObj->getGrid();
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'salary_record';
        $data['title'] = 'Salary Record';
        $this->load->view('main', $data);
    }

    function load_salary_record() {
        $this->employee_model->get_salary_record_grid();
    }

    function leave() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        if ($_REQUEST['file']) {
            $this->load->helper('download');
            $data = file_get_contents(UPLOAD_PATH . 'photos/customer/' . $_REQUEST['file']); // Read the file's contents
            $name = $_REQUEST['file'];
            force_download($name, $data);
        }
        $total_rows = count($this->employee_model->get_employee_leave());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/leave');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 200;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['leave'] = $this->employee_model->get_employee_leave($limit = true, $start, $config['per_page']);
        $data['msg'] = $this->session->flashdata('msg');
        $data['dir'] = $this->dir;
        $data['page'] = 'leave';
        $data['page_title'] = 'Employee Leave';
        $this->load->view('main', $data);
    }

    function approved_holidays() {
        $this->load->library("pagination");
        $start = $this->uri->segment(3);
        if ($start == '') {
            $start = 0;
        }
        $total_rows = count($this->employee_model->get_employee_approved_holiday());
        $config['uri_segment'] = 3;
        $config['base_url'] = site_url('employee/approved_holidays');
        $config['total_rows'] = $total_rows;
        $config['per_page'] = 500;
        $config['next_link'] = "Next &raquo;";
        $config['prev_link'] = "&laquo; Previous";
        $this->pagination->initialize($config);
        $data['pagination_links'] = $this->pagination->create_links();
        $data['prev_next'] = $this->pagination->create_links();
        $data['leave'] = $this->employee_model->get_employee_approved_holiday($limit = true, $start, $config['per_page']);
        $data['dir'] = $this->dir;
        $data['page'] = 'approved';
        $data['page_title'] = 'Employee Leave';
        $this->load->view('main', $data);
    }

    function employee_leave_status($status = 1, $id = '', $count_leave = '') {
        $employee_id = $id - ID_GENERATE;
        if ($employee_id == '') {
            redirect('employee/leave');
        }
        $data = array('status' => $status);
        $this->db->update('leavcalender', $data, array('employee_id' => $employee_id, 'status' => 0, 'count_leave' => $count_leave));
        $this->session->set_flashdata('msg', 'Status Updated!!!');
        redirect('employee/leave');
    }

    function delete_approved_days_old($leavcalender_id = '') {
        $this->db->delete('leavcalender', array('leave_calender_id' => $leavcalender_id));
        $this->session->set_flashdata('msg', 'Successfully Deleted!!!');
        redirect('employee/approved_holidays');
    }

    function delete_approved_days($leavcalender_id = '', $employee_id = '') {
        $max_count_leave = sql::row("leavcalender", "", "max(count_leave) as max");
        $new_count_leave = $max_count_leave[max] + 1;
        $data = array('status' => 2, 'seen_status' => 0, 'count_leave' => $new_count_leave);
        $this->db->update('leavcalender', $data, array('leave_calender_id' => $leavcalender_id));
        $this->session->set_flashdata('msg', 'Successfully Deleted!!!');


        $emailQuery = "SELECT c.email, e.employee_first_name, e.employee_last_name from contact_details as c
                            left join employee as e on e.employee_id=c.employee_id   
                            where c.employee_id='$employee_id' and c.email!='' and  c.work_or_personal=1";

        $query = $this->db->query($emailQuery);
        $email_data = $query->row_array();

        //  if (count($email_data) > 0) {
        $modified_status = "Rejected";
        $to = $email_data[email];
        $to_name = $email_data[employee_first_name] . ' ' . $email_data[employee_last_name];
        $subject = 'Holiday Request ' . $modified_status;
        $from = 'admin@sectoms.com';
        $from_name = 'Holiday Request Status Notification';

        $date_interval = sql::row("leavcalender", "count_leave=$new_count_leave", "min(DayVal) as min_date,max(DayVal) as max_date,request_date");
        $request_date = date('d F Y', strtotime($date_interval['request_date']));
        $LeavingDate = date('d F Y', strtotime($date_interval['min_date']));
        $ReturningDate = date('d F Y', strtotime($date_interval['max_date']));
        $days = (strtotime($date_interval['max_date'] . ' 23:59:00') - strtotime($date_interval['min_date'] . ' 00:00:00')) / (60 * 60 * 24);
        $approvedDays = ceil($days) . ' days';

        // To send HTML mail, the Content-type header must be set
        $headers = 'MIME-Version: 1.0' . "\r\n";
        $headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";

        // Create email headers
        $headers .= 'From: ' . $from . "\r\n" .
                'Reply-To: ' . $from . "\r\n" .
                'X-Mailer: PHP/' . phpversion();

        // Compose a simple HTML email message
        $message = '<html><body>';
        $message .= '<h4>Hi ' . $to_name . ' !</h4>';
        $message .= '<p style="font-size:13px;">
                             Following holiday request has been ' . $modified_status . '
                        <br/>  ';
        $message .= '<p style="font-size:14px; color:fff; background:#4d6e9a; padding:10px 20px; margin:10px 0;">
                             Applicant Name : ' . $to_name . ' 
                        <br/>Requesting Date : ' . $request_date . '
                        <br/>Leaving Date : ' . $LeavingDate . '
                        <br/>Returning Date: ' . $ReturningDate . '
                        <br/>Number fo Days: ' . $approvedDays . '
                        </p>';
        $message .= '<p style="font-size:13px;">Thanks!
                        <br/> - Control Design Management;
                        </p>';
        $message .= '</body></html>';

        // Sending email
        if (mail($to, $subject, $message, $headers)) {
            $this->session->set_flashdata('msg', 'Holiday Request Status has been' . $modified_status . ' and an mail has been sent to ' . $to_name);
        } else {
            $this->session->set_flashdata('msg', 'Holiday Request Status has been' . $modified_status . ' but Unable to send email to ' . $to_name);
        }


        redirect('employee/approved_holidays');
    }

    function employee_leave_report($employee_id = '') {
        $data['leave_year_data'] = sql::rows("leavcalender", "1 and status=1 group by year(leavcalender.DayVal) order by year(leavcalender.DayVal) desc", "year(leavcalender.DayVal) as year");
        $data['employee_id'] = $employee_id;
        $data['dir'] = $this->dir;
        $data['year'] = $year;
        $data['header_title'] = "Employee Leave Report";
        $data['page_title'] = 'Employee Leave Report';
        $data['page'] = 'employee_leave_report';
        $this->load->view('print_main', $data);
    }

    function reject_holiday() {
        $data['dir'] = $this->dir;
        $data['header_title'] = "Employee reject holiday";
        $data['page_title'] = 'Employee reject holiday';
        $data['page'] = 'reject_holiday';
        $this->load->view('main', $data);
    }

    function email_approval($employee_id = '', $email = '') {
        $e_id = $this->session->userdata('employee_id');
        if ($e_id == '') {
            redirect('login');
        }
        $from_email_info = sql::row("contact_details", "employee_id=$e_id and work_or_personal=1");
        $from_email = 'info@sectoms.com';
//$from_email_info['email'];
        if ($_POST['send_many']) {
            $to_people = $_POST['to_people'];
            $to_list = explode(";", $to_people);
            $msg .= $_POST['description'];
            foreach ($to_list as $to) {
                $header .= 'MIME-Version: 1.0' . "\r\n";
                $header .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
                $header .= 'From:' . 'SECTOMS SYSTEM' . '<' . $from_email . '>' . "\r\n";

                @mail("$to", "$_POST[subject]", $msg, $header);
            }
            $this->session->set_flashdata('msg', 'Email Request Sent Successfully');
            redirect('employee/leave');
        }
        $data['email'] = $email;
        $data['dir'] = 'employee';
        $data['page'] = 'leave';
        $this->load->view('main', $data);
    }

    function change_password() {
        if ($_POST['change_password']) {
            if ($this->form_validation->run('valid_change_password')) {
                if ($this->employee_model->do_update_password()) {
                    $this->session->set_flashdata('msg', 'Your Password changed Successfully!!!');
                    redirect('employee/change_password');
                }
            }
        }
        $data['nav_array'] = array(
            array('title' => 'Change Password', 'url' => '')
        );
        $data['dir'] = 'employee';
        $data['msg'] = $this->session->flashdata('msg');
        $data['page'] = 'change_password';
        $data['page_title'] = 'Change Password';
        $this->load->view('main', $data);
    }

    function bank_holiday() {
        $employee_id = $this->session->userdata('employee_id');
        $a = 0;
        $str = '';

        $date = time();
        if ($_POST[year] != '') {
            $year = $_POST[year];
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        } else {
            $year = date('Y', $date); //echo $year;
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        }



        $str .= '<table class="calender_design" border="1" cellpadding="1" cellspacing="0" width="99%" style="text-align:center;font-weight:bold;">
        <tr>  
            <td style="padding:0; border-right:0"><a href="javascript:void(0)" onclick="bank_holiday_ajax(' . $data['pre_year'] . ');"><img width="26px" src="' . base_url() . '/images/prev.png"></a></td>
            <td colspan="4" style="margin:0;padding:0;border-left:0;border-right:0">
            <p style="color:grey;text-align:center;font-weight:bold;font-size:18px;">' .
                $year . '
                </p></td>
            <td style="padding:0;border-left:0"><a href="javascript:void(0)" onclick="bank_holiday_ajax(' . $data['next_year'] . ');"><img width="26px" src="' . base_url() . '/images/next.png"></a></td>
        </tr>
        
          </table>';
        $str .= '<br/>';
        $str .= '<table class="calender_design" border="1" cellpadding="1" cellspacing="0" width="99%" style="text-align:center;font-weight:bold; margin-bottom:10px;">
        <tr>
            <td>Bank Holiday</td>
            <td style="background-color:#76933c;padding:5px;">&nbsp;</td>

            <td>Approved </td>
            <td style="background-color:#c4d79b;padding:5px;" >&nbsp;</td>

            <td>Pending</td>
            <td style="background-color:#fabf8f;padding:5px;" >&nbsp;</td>
            <td>Rejected </td>
            <td style="background-color:red;padding:5px;">&nbsp;</td>
        </tr>

    </table>';



        for ($i = 1; $i < 13; $i++) {

            $day = date('d', $date);
            $month = $i;
            $first_day = mktime(0, 0, 0, $month, 1, $year);
            $title = date('F Y', $first_day);
            $day_of_week = date('D', $first_day);
            switch ($day_of_week) {
                case "Sun": $blank = 0;
                    break;
                case "Mon": $blank = 1;
                    break;
                case "Tue": $blank = 2;
                    break;
                case "Wed": $blank = 3;
                    break;
                case "Thu": $blank = 4;
                    break;
                case "Fri": $blank = 5;
                    break;
                case "Sat": $blank = 6;
                    break;
            }
            $days_in_month = cal_days_in_month(0, $month, $year);
            $str .= '<table class="calender_design" border="1" width="175px" height="170px" style="float:left;margin-right:5px;margin-bottom:10px;">';
            $str .= '<tr><th colspan="7" style="padding:0px">' . $title . ' </th> </tr>';
            $str .= '<tr>
                        <td style="font-size:10px;">Su</td> 
                        <td style="font-size:10px;">Mo </td>
                        <td style="font-size:10px;">Tu</td> 
                        <td style="font-size:10px;">We</td> 
                        <td style="font-size:10px;">Th</td> 
                        <td style="font-size:10px;">Fr</td> 
                        <td style="font-size:10px;">Sa</td>  
                        </tr>';
            $days_coun = 1;
            $str .= "<tr>";
            while ($blank > 0) {
                $str .= '<td></td>';
                $blank = $blank - 1;
                $days_coun++;
            }
            $days_num = 1;
            while ($days_num <= $days_in_month) {
                if (strlen($days_num) == 1) {
                    $da_val = '0' . $days_num;
                } else {
                    $da_val = $days_num;
                }
                if (strlen($month) == 1) {
                    $mon = '0' . $month;
                } else {
                    $mon = $month;
                }
                $request_date = $year . '-' . $mon . '-' . $da_val;
                $is_exist_bank_holiday = sql::row("bank_holiday", "bank_holiday_date='$request_date'");
                if (count($is_exist_bank_holiday) > 0) {
                    $color = 'style="background-color:#76933c;padding:3px;text-align:center;font-size:10px;"';
                } else {
                    $color = 'style="padding:3px;text-align:center;font-size:10px;"';
                }
                $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
                if (count($is_exist) > 0) {
                    if ($is_exist['status'] == 0) {
                        $color = 'style="background-color:#fabf8f;color:#000;padding:3px;font-size:10px;"';
                    } else if ($is_exist['status'] == 1) {
                        $color = 'style="background-color:#c4d79b;color:#000;padding:3px;font-size:10px;"';
                    } else if ($is_exist['status'] == 2) {
                        $color = 'style="background-color:red;color:#fff;padding:3px;font-size:10px;"';
                    } else {
                        $color = 'style="padding:3px;text-align:center;font-size:10px;"';
                    }
                }
                $str .= '<td ' . $color . ' >' . $days_num . '</td>';
                $days_num++;
                $days_coun++;
                if ($days_coun > 7) {
                    $str .= '</tr><tr>';
                    $days_coun = 1;
                }
            }
            while ($days_coun > 1 && $days_coun <= 7) {
                $str .= '<td></td>';
                $days_coun++;
            }
            $str .= "</tr></table>";
        }


        if ($_POST[year] != '') {
            echo $str;
        } else {
            $data['all_calender'] = $str;
            $data['dir'] = 'employee';
            $data['page'] = 'bank_holiday';
            $this->load->view('main', $data);
        }
    }

    function approved_list() {
        $employee_id = $this->session->userdata('employee_id');
        $a = 0;
        $str = '';

        $date = time();
        if ($_POST[year] != '') {
            $year = $_POST[year];
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        } else {
            $year = date('Y', $date); //echo $year;
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        }


        $str .= ' <div class="width-94 bg_gray">
        <table class="calender_design" border="1" width="100%" height="25" cellspacing="0">
            <tr>
                <th>
                    <a href="javascript:void(0)" onclick="bank_holiday_ajax(' . $data['pre_year'] . ');"><img width="26px" src="' . base_url() . '/images/prev.png"></a>
                </th>
                <th>' . $year . '</th>
                <th>
                    <a href="javascript:void(0)" onclick="bank_holiday_ajax(' . $data['next_year'] . ');"><img width="26px" src="' . base_url() . '/images/next.png"></a>
                </th> 
            </tr>
            <tr><td colspan="3" class="gray_bg"><p>Approved List</p></td></tr>';



        $all_rows = sql::rows("leavcalender", "YEAR(DayVal)='$year' and status=1  and employee_id='$employee_id' GROUP BY count_leave order by DayVal asc ");
        if (count($all_rows) > 0) {
            foreach ($all_rows as $row) {
                $date_interval = sql::row("leavcalender", "count_leave=$row[count_leave]", "min(DayVal) as min_date,max(DayVal) as max_date,leave_type,leave_count");
                $days = (strtotime($date_interval['max_date'] . ' 23:59:00') - strtotime($date_interval['min_date'] . ' 00:00:00')) / (60 * 60 * 24);
                $str .= ' <tr><td colspan="3">' . date('d F Y', strtotime($date_interval['min_date'])) . ' - ' . date('d F Y', strtotime($date_interval['max_date']));

                if (ceil($days) == 1) {
                    if ($date_interval['leave_count'] == 1) {
                        $cd = ', ' . ceil($days) . ' day';
                    } else {
                        if ($date_interval['leave_type'] == 'am') {
                            $cd = ', Half day am leave';
                        } else {
                            $cd = ', Half day pm leave';
                        }
                    }
                } else {
                    $cd = ', ' . ceil($days) . ' days';
                }

                $str .= $cd . '</td></tr>';
            }
        } else {
            $str .= ' <tr><td colspan="3">Sorry! No Data found!</td></tr>';
        }



        $str .= '</table>
    </div>';




        if ($_POST[year] != '') {
            echo $str;
        } else {
            $data['all_calender'] = $str;
            $data['dir'] = 'employee';
            $data['page'] = 'approved_list';
            $this->load->view('main', $data);
        }
    }

    function balance() {
        $employee_id = $this->session->userdata('employee_id');
        $a = 0;
        $str = '';

        $date = time();
        if ($_POST[year] != '') {
            $year = $_POST[year];
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        } else {
            $year = date('Y', $date); //echo $year;
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        }


        $str .= '<div class="width-94 bg_gray">
        <table class="calender_design" border="1" width="100%" height="25" cellspacing="0">
            <tr>
                <th>
                    <a href="javascript:void(0)" onclick="balance_ajax(' . $data['pre_year'] . ');"><img width="26px" src="' . base_url() . '/images/prev.png"></a>
                </th>
                <th>' . $year . '</th>
                <th>
                    <a href="javascript:void(0)" onclick="balance_ajax(' . $data['next_year'] . ');"><img width="26px" src="' . base_url() . '/images/next.png"></a>
                </th> 
            </tr>';

        $str .= '</table>
    </div>';

        $request_year = $year;

//        $employee_id = $this->session->userdata('employee_id');
//        $total_pending_leave = sql::rows("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
//        $total_pending_leave_am = sql::row("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
//        $total_pending_leave_pm = sql::row("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
//        $pending_leave = count($total_pending_leave)+$total_pending_leave_am[total_pending_am]+$total_pending_leave_pm[total_pending_pm];
//        $data['pending_leave'] = $pending_leave;
//        $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$request_year'", "count(bank_holiday_id) as total_bank_holiday");
//        $leave = $this->employee_model->get_employee_leave_grid_cl_month($request_year);
//        foreach ($leave as $leave) {
//            $annual_leave = sql::row("billable_hours", "year='$request_year' and billable_hour_name='$leave[billable_hours_id]'", "annual_leave,week_per_year");
//            if ($annual_leave['week_per_year'] == '') {
//                $annual_leave['week_per_year'] = 1;
//            }
//            $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
//            $employee_start_year = $leave['start_year'];
//            if ($employee_start_year == "$request_year") {
//                $joining_week = date('W', strtotime($leave[employee_issue_date]));
//                $week_left = $annual_leave['week_per_year'] - $joining_week;
//                $leave_days = round($per_week_holiday * $week_left);
//            } else {
//                $joining_week = date('W', strtotime($leave[employee_issue_date]));
//                $days_used = round($per_week_holiday * $joining_week);
//                $leave_days = $annual_leave['annual_leave'] - $days_used;
//            }
//            $total_used_leave = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count=1 and employee_id='$leave[employee_id]'", "count(leave_calender_id) as total_used");
//            $total_used_leave_am = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$leave[employee_id]'", "sum(leave_count) as total_used_am");
//            $total_used_leave_pm = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$leave[employee_id]'", "sum(leave_count) as total_used_pm");
//            $used_leave = $total_used_leave['total_used']+$total_used_leave_am['total_used_am']+$total_used_leave_pm['total_used_pm'];
//            $total_leave = sql::row("billable_hours", "year='$request_year' and year>='$employee_start_year' and billable_hour_name='$leave[billable_hours_id]'", "sum(annual_leave) as total_annual");
//            $available_leaved = $total_leave['total_annual'];
//            $avail = $available_leaved - $used_leave;
//            $annual_leave_for_this_year = $avail + $leave_days;
//            $avaialble_leave_hidden = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;
//        }
//        $balance = $annual_leave_for_this_year + $leave['leave_left'];
//        $data['balance'] = $balance;
//        $used_holiday = $leave['used_in_year'];
//        $data['used_holiday'] = $used_holiday;
//        $leave_avail = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;
//        $data['leave_avail'] = $leave_avail;
//        $avaialble_leave_hidden = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;



        $employee_id = $this->session->userdata('employee_id');
        $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$request_year'", "count(bank_holiday_id) as total_bank_holiday");


//        new work for avail days start
        $employee_id = $this->session->userdata('employee_id');
        $employee_inf_new = sql::row("employee", "employee_id='$employee_id'", "employee_first_name,leave_left,employee_last_name,employee_pps_number,billable_hours_id,employee_issue_date,year(employee_issue_date) as start_year");
        $employee_start_year = $employee_inf_new['start_year'];

        if ($request_year >= $employee_start_year) {

            $annual_leave = sql::row("billable_hours", "year='$employee_start_year' and billable_hour_name='$employee_inf_new[billable_hours_id]'", "annual_leave,week_per_year");
            if ($annual_leave['week_per_year'] == '') {
                $annual_leave['week_per_year'] = 1;
            }
            $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
            $joining_week = date('W', strtotime($employee_inf_new[employee_issue_date]));

            if ($joining_week == 52 || $joining_week == 53) {
                $joining_week = 0;
            }

            $week_left = $annual_leave['week_per_year'] - $joining_week;
            $leave_days = round($per_week_holiday * $week_left);

            $total_used_leave_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=1 and leave_count=1 and employee_id='$employee_id'", "count(leave_calender_id) as total_used");
            $total_used_leave_am_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_used_am");
            $total_used_leave_pm_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_used_pm");
            $used_leave_j = $total_used_leave_j['total_used'] + $total_used_leave_am_j['total_used_am'] + $total_used_leave_pm_j['total_used_pm'];

            $total_pending_leave_j = sql::rows("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
            $total_pending_leave_am_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
            $total_pending_leave_pm_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
            $pending_leave_j = count($total_pending_leave_j) + $total_pending_leave_am_j[total_pending_am] + $total_pending_leave_pm_j[total_pending_pm];




            $all_an_leave = '';
            $used_leave = '';
            for ($i = $employee_start_year + 1; $i <= $request_year; $i++) {
                $annual_leave = sql::row("billable_hours", "year='$i' and billable_hour_name='$employee_inf_new[billable_hours_id]'", "annual_leave,week_per_year");
                $all_an_leave += $annual_leave[annual_leave];


                $total_used_leave = sql::row("leavcalender", "year(DayVal)='$i' and status=1 and leave_count=1 and employee_id='$employee_id'", "count(leave_calender_id) as total_used");
                $total_used_leave_am = sql::row("leavcalender", "year(DayVal)='$i' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_used_am");
                $total_used_leave_pm = sql::row("leavcalender", "year(DayVal)='$i' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_used_pm");
                $used_leave += $total_used_leave['total_used'] + $total_used_leave_am['total_used_am'] + $total_used_leave_pm['total_used_pm'];

                $total_pending_leave = sql::rows("leavcalender", "year(DayVal)='$i' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
                $total_pending_leave_am = sql::row("leavcalender", "year(DayVal)='$i' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
                $total_pending_leave_pm = sql::row("leavcalender", "year(DayVal)='$i' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
                $pending_leave = count($total_pending_leave) + $total_pending_leave_am[total_pending_am] + $total_pending_leave_pm[total_pending_pm];
            }
        }
        $data['balance'] = $leave_days + $all_an_leave;
        $data['used_holiday'] = $used_leave_j + $used_leave;
        $data['leave_avail'] = (($leave_days + $all_an_leave) - ($used_leave_j + $used_leave) - ($pending_leave_j + $pending_leave));
        $data['pending_leave'] = ($pending_leave_j + $pending_leave);
        $avaialble_leave_hidden = $data['leave_avail'];

        //echo $avaialble_leave_hidden;exit;
//        $employee_need_info = sql::row("employee", "employee_id='$employee_id'", "billable_hours_id");
//        $if_null = sql::row("billable_hours", "year='$request_year' and billable_hour_name='$employee_need_info[billable_hours_id]'", "annual_leave,week_per_year");
//        if ($avaialble_leave_hidden == '') {
//            $avaialble_leave_hidden = $if_null['annual_leave'];
//        }
//
//        if ($avaialble_leave_hidden == '' && $avaialble_leave_hidden != 0) {
//            $avaialble_leave_hidden = $if_null['annual_leave'];
//        }
        $str .= '<div class="width-94 bg_gray">
        <table class="calender_design" border="1" width="100%" height="25" cellspacing="0">
            <tr><td colspan="3" class="gray_bg"><p>Balance List</p></td></tr>
            <tr><td colspan="2">Balance</td><td>' . $data['balance'] . '</td></tr>
            <tr><td colspan="2">Used</td><td>' . $data['used_holiday'] . '</td></tr>
            <tr><td colspan="2">Pending</td><td>' . $data['pending_leave'] . '</td></tr>
            <tr><td colspan="2">Available</td><td>' . $avaialble_leave_hidden . '</td></tr>
        </table>
    </div>';




        if ($_POST[year] != '') {
            echo $str;
        } else {
            $data['all_calender'] = $str;
            $data['dir'] = 'employee';
            $data['page'] = 'balance';
            $this->load->view('main', $data);
        }
    }

    function pending_request() {
        $employee_id = $this->session->userdata('employee_id');
        $a = 0;
        $str = '';

        $date = time();
        if ($_POST[year] != '') {
            $year = $_POST[year];
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        } else {
            $year = date('Y', $date); //echo $year;
            $data['pre_year'] = $year - 1;
            $data['next_year'] = $year + 1;
        }


        $str .= ' <div class="width-94 bg_gray">
        <table class="calender_design" border="1" width="100%" height="25" cellspacing="0">
            <tr>
                <th>
                    <a href="javascript:void(0)" onclick="bank_holiday_ajax(' . $data['pre_year'] . ');"><img width="26px" src="' . base_url() . '/images/prev.png"></a>
                </th>
                <th>' . $year . '</th>
                <th>
                    <a href="javascript:void(0)" onclick="bank_holiday_ajax(' . $data['next_year'] . ');"><img width="26px" src="' . base_url() . '/images/next.png"></a>
                </th> 
            </tr>
            <tr><td colspan="3" class="gray_bg"><p>Pending List</p></td></tr>';



        $all_rows = sql::rows("leavcalender", "YEAR(DayVal)='$year' and status=0  and employee_id='$employee_id' GROUP BY count_leave order by DayVal asc ");
        if (count($all_rows) > 0) {
            foreach ($all_rows as $row) {



                $date_interval = sql::row("leavcalender", "count_leave=$row[count_leave]", "min(DayVal) as min_date,max(DayVal) as max_date,leave_type,leave_count");
                $days = (strtotime($date_interval['max_date'] . ' 23:59:00') - strtotime($date_interval['min_date'] . ' 00:00:00')) / (60 * 60 * 24);

                $str .= ' <tr><td colspan="3">' . date('d F Y', strtotime($date_interval['min_date'])) . ' - ' . date('d F Y', strtotime($date_interval['max_date']));


                if (ceil($days) == 1) {
                    if ($date_interval['leave_count'] == 1) {
                        $cd = ', ' . ceil($days) . ' day';
                    } else {
                        if ($date_interval['leave_type'] == 'am') {
                            $cd = ', Half day am leave';
                        } else {
                            $cd = ', Half day pm leave';
                        }
                    }
                } else {
                    $cd = ', ' . ceil($days) . ' days';
                }

                $str .= $cd . '</td></tr>';
            }
        } else {
            $str .= ' <tr><td colspan="3">Sorry! No Data found!</td></tr>';
        }



        $str .= '</table>
    </div>';


        if ($_POST[year] != '') {
            echo $str;
        } else {
            $data['all_calender'] = $str;
            $data['dir'] = 'employee';
            $data['page'] = 'pending_request';
            $this->load->view('main', $data);
        }
    }

    function holiday_request_ajax() {
        $mon = $_POST['mon_r'];
        $step = $_POST['step_r'];
        if ($step == 1) {
            if ($mon == 1) {
                $year = $this->session->userdata('next_year');
                $year = $year + 1;
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }
        if ($step == 0) {
            if ($mon == 1) {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = $this->session->userdata('next_year');
                $year = $year - 1;
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }
        if ($mon == '') {
            $mon = date('m');
            if ($mon == 1) {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }

        $request_year = $year;
        $prev = $data['prev'];
        $next = $data['next'];

        $date = time();
        $day = date('d', $date);
        $month = $mon;
        $first_day = mktime(0, 0, 0, $month, 1, $year);
        $title = date('F', $first_day);
        $day_of_week = date('D', $first_day);
        switch ($day_of_week) {
            case "Sun": $blank = 0;
                break;
            case "Mon": $blank = 1;
                break;
            case "Tue": $blank = 2;
                break;
            case "Wed": $blank = 3;
                break;
            case "Thu": $blank = 4;
                break;
            case "Fri": $blank = 5;
                break;
            case "Sat": $blank = 6;
                break;
        }
        $days_in_month = cal_days_in_month(0, $month, $year);

        $str = '<table class="new_cal" border="1" width="100%" height="260" cellspacing="0">
            <tr><th colspan="2" style="padding-bottom:30px;width:25%;text-align:left;padding-left:10px;">
                    <a style="color:#ccc;text-decoration:none;font-size:15px;font-weight:normal;" onclick=holiday_request_ajax(' . $prev . ',0) href="javascript:void(0)"">' . common::get_month_name($prev) . '</a>
                </th>
                <th colspan="3" style="padding-bottom:30px;width:50%;"><a href="javascript:void(0);" style="color:#fff;font-size:15px;font-weight:normal;text-decoration:none;">' . $title . ' ' . $year . ' </a></th>
                    <th colspan="2" style="padding-bottom:30px;width:25%;text-align:right;padding-right:10px;">
                    <a style="color:#ccc;text-decoration:none;font-size:15px;font-weight:normal;" onclick=holiday_request_ajax(' . $next . ',1) href="javascript:void(0)">' . common::get_month_name($next) . '</a>
                </th> </tr>';
        $str .= '<tr><th>Su</th> <th>Mo </th><th>Tu</th> <th>We</th> <th>Th</th> <th>Fr</th> <th>Sa</th>  </tr>';



        $days_coun = 1;
        $str .= "<tr>";
        while ($blank > 0) {
            $str .= '<td></td>';
            $blank = $blank - 1;
            $days_coun++;
        }
        $days_num = 1;
        $ff = '';
        $bg = '';
        while ($days_num <= $days_in_month) {
            if (strlen($days_num) == 1) {
                $da_val = '0' . $days_num;
            } else {
                $da_val = $days_num;
            }
            if (strlen($month) == 1) {
                $mon = '0' . $month;
            } else {
                $mon = $month;
            }
            $ff = '';
            $bg = '';
            $request_date = $year . '-' . $mon . '-' . $da_val;
            $employee_id = $this->session->userdata('employee_id');
            $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
            if (count($is_exist) > 0) {
                if ($is_exist['status'] == 0) {
                    if ($is_exist['leave_type'] == 'am') {
                        $color = 'style="background-color:#fabf8f;color:#000;"';
                    } elseif ($is_exist['leave_type'] == 'pm') {
                        $color = 'style="background-color:#fabf8f;color:#000;"';
                    } else {
                        $color = 'style="background-color:#fabf8f;color:#000;"';
                    }
                } else if ($is_exist['status'] == 1) {
                    if ($is_exist['leave_type'] == 'am') {
                        $color = 'style="background-color:#c4d79b;color:#000;"';
                    } elseif ($is_exist['leave_type'] == 'pm') {
                        $color = 'style="background-color:#c4d79b;color:#000;';
                    } else {
                        $color = 'style="background-color:#c4d79b;color:#000;"';
                    }
                } else if ($is_exist['status'] == 2) {
                    if ($is_exist['leave_type'] == 'am') {
                        $color = 'style="background-color:red;color:#fff;"';
                    } elseif ($is_exist['leave_type'] == 'pm') {
                        $color = 'style="background-color:red;color:#fff;"';
                    } else {
                        $color = 'style="background-color:red;color:#fff;"';
                    }
                }
            } else {
                $color = 'style=""';
            }
            $is_exist_bank_holiday = sql::row("bank_holiday", "bank_holiday_date='$request_date'");
            if (count($is_exist_bank_holiday) > 0) {
                $color = 'style="background-color:#76933c;color:#fff;"';
            }
            $str .= '<td><div class="tdcount" id="bg_' . $year . '-' . $mon . '-' . $da_val . '"' . $color . ' ><span class="counter_new_cal">' . $days_num . '</span>';
            $day_name = date('D', strtotime($request_date));
            if ($day_name != 'Sat' && $day_name != 'Sun') {
                if (count($is_exist_bank_holiday) < 1) {
                    $str .= '<input ' . $ff . ' type="checkbox" name="request_date[]" value="' . $year . '-' . $mon . '-' . $da_val . '"  id="' . $month . '_' . $days_num . '"   class="c_' . $year . '-' . $mon . '-' . $da_val . '" onclick="days_chek(this.value)"  />';
                    $str .= '<label for="' . $month . '_' . $days_num . '" style="font-size:14px;"></label>';
                }
            }
            $str .= '</div></td>';
            $days_num++;
            $days_coun++;
            if ($days_coun > 7) {
                $str .= '</tr><tr>';
                $days_coun = 1;
            }
        }
        while ($days_coun > 1 && $days_coun <= 7) {
            $str .= '<td></td>';
            $days_coun++;
        }
        $str .= "</tr></table><br>
                <input type='hidden' name='leave_val' id='leave_val' value='$dtvalck' />
                <input type='hidden' name='work_day' id='work_day' value='' />
                ";
        $data['str'] = $str;

        $request_year = $year;
        $prev = $data['prev'];
        $next = $data['next'];
        $msg = $this->session->flashdata('msg');




//        $employee_id = $this->session->userdata('employee_id');
//        $total_pending_leave = sql::rows("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
//        $total_pending_leave_am = sql::row("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
//        $total_pending_leave_pm = sql::row("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
//        $pending_leave = count($total_pending_leave)+$total_pending_leave_am[total_pending_am]+$total_pending_leave_pm[total_pending_pm];
//        $data['pending_leave'] = $pending_leave;
//        $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$request_year'", "count(bank_holiday_id) as total_bank_holiday");
//        $leave = $this->employee_model->get_employee_leave_grid_cl_month($request_year);
//        foreach ($leave as $leave) {
//            $annual_leave = sql::row("billable_hours", "year='$request_year' and billable_hour_name='$leave[billable_hours_id]'", "annual_leave,week_per_year");
//            if ($annual_leave['week_per_year'] == '') {
//                $annual_leave['week_per_year'] = 1;
//            }
//            $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
//            $employee_start_year = $leave['start_year'];
//            if ($employee_start_year == "$request_year") {
//                $joining_week = date('W', strtotime($leave[employee_issue_date]));
//                $week_left = $annual_leave['week_per_year'] - $joining_week;
//                $leave_days = round($per_week_holiday * $week_left);
//            } else {
//                $joining_week = date('W', strtotime($leave[employee_issue_date]));
//                $days_used = round($per_week_holiday * $joining_week);
//                $leave_days = $annual_leave['annual_leave'] - $days_used;
//            }
//            $total_used_leave = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count=1 and employee_id='$leave[employee_id]'", "count(leave_calender_id) as total_used");
//            $total_used_leave_am = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$leave[employee_id]'", "sum(leave_count) as total_used_am");
//            $total_used_leave_pm = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$leave[employee_id]'", "sum(leave_count) as total_used_pm");
//            $used_leave = $total_used_leave['total_used']+$total_used_leave_am['total_used_am']+$total_used_leave_pm['total_used_pm'];
//            $total_leave = sql::row("billable_hours", "year='$request_year' and year>='$employee_start_year' and billable_hour_name='$leave[billable_hours_id]'", "sum(annual_leave) as total_annual");
//            $available_leaved = $total_leave['total_annual'];
//            $avail = $available_leaved - $used_leave;
//            $annual_leave_for_this_year = $avail + $leave_days;
//            $avaialble_leave_hidden = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;
//        }
//        $balance = $annual_leave_for_this_year + $leave['leave_left'];
//        $data['balance'] = $balance;
//        $used_holiday = $leave['used_in_year'];
//        $data['used_holiday'] = $used_holiday;
//        $leave_avail = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;
//        $data['leave_avail'] = $leave_avail;
//        $avaialble_leave_hidden = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;


        $employee_id = $this->session->userdata('employee_id');
        $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$request_year'", "count(bank_holiday_id) as total_bank_holiday");

//        new work for avail days start
        $employee_id = $this->session->userdata('employee_id');
        $employee_inf_new = sql::row("employee", "employee_id='$employee_id'", "employee_first_name,leave_left,employee_last_name,employee_pps_number,billable_hours_id,employee_issue_date,year(employee_issue_date) as start_year");
        $employee_start_year = $employee_inf_new['start_year'];

        if ($request_year >= $employee_start_year) {

            $annual_leave = sql::row("billable_hours", "year='$employee_start_year' and billable_hour_name='$employee_inf_new[billable_hours_id]'", "annual_leave,week_per_year");
            if ($annual_leave['week_per_year'] == '') {
                $annual_leave['week_per_year'] = 1;
            }
            $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
            $joining_week = date('W', strtotime($employee_inf_new[employee_issue_date]));

            if ($joining_week == 52 || $joining_week == 53) {
                $joining_week = 0;
            }

            $week_left = $annual_leave['week_per_year'] - $joining_week;
            $leave_days = round($per_week_holiday * $week_left);

            $total_used_leave_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and DayVal>='$employee_inf_new[employee_issue_date]'  and status=1 and leave_count=1 and employee_id='$employee_id'", "count(leave_calender_id) as total_used");
            $total_used_leave_am_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and DayVal>='$employee_inf_new[employee_issue_date]'  and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_used_am");
            $total_used_leave_pm_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and DayVal>='$employee_inf_new[employee_issue_date]'  and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_used_pm");
            $used_leave_j = $total_used_leave_j['total_used'] + $total_used_leave_am_j['total_used_am'] + $total_used_leave_pm_j['total_used_pm'];

            $total_pending_leave_j = sql::rows("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
            $total_pending_leave_am_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
            $total_pending_leave_pm_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
            $pending_leave_j = count($total_pending_leave_j) + $total_pending_leave_am_j[total_pending_am] + $total_pending_leave_pm_j[total_pending_pm];




            $all_an_leave = '';
            $used_leave = '';
            for ($i = $employee_start_year + 1; $i <= $request_year; $i++) {
                $annual_leave = sql::row("billable_hours", "year='$i' and billable_hour_name='$employee_inf_new[billable_hours_id]'", "annual_leave,week_per_year");
                $all_an_leave += $annual_leave[annual_leave];


                $total_used_leave = sql::row("leavcalender", "year(DayVal)='$i' and DayVal>='$employee_inf_new[employee_issue_date]'  and status=1 and leave_count=1 and employee_id='$employee_id'", "count(leave_calender_id) as total_used");
                $total_used_leave_am = sql::row("leavcalender", "year(DayVal)='$i' and DayVal>='$employee_inf_new[employee_issue_date]'  and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_used_am");
                $total_used_leave_pm = sql::row("leavcalender", "year(DayVal)='$i' and DayVal>='$employee_inf_new[employee_issue_date]'  and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_used_pm");
                $used_leave += $total_used_leave['total_used'] + $total_used_leave_am['total_used_am'] + $total_used_leave_pm['total_used_pm'];

                $total_pending_leave = sql::rows("leavcalender", "year(DayVal)='$i' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
                $total_pending_leave_am = sql::row("leavcalender", "year(DayVal)='$i' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
                $total_pending_leave_pm = sql::row("leavcalender", "year(DayVal)='$i' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
                $pending_leave = count($total_pending_leave) + $total_pending_leave_am[total_pending_am] + $total_pending_leave_pm[total_pending_pm];
            }
        }

//        echo 'availale leave in joining year ='. $leave_days.'<br/>';
//        echo 'used leave in joining year='. $used_leave_j.'<br/>';
//        echo 'pending leave in joining year='. $pending_leave_j.'<br/>';
//        echo 'available leave without joining year='. $all_an_leave.'<br/>';
//        echo 'used leave without joining year='. $used_leave.'<br/>';
//        echo 'pending leave without joining year='. $pending_leave.'<br/>';
//        echo '<div style="width:170px;float:left;  border-left: 2px solid #49b0bf"><table style="margin-left:20px; width:120px; float:left;"><tr style="margin-bottom:5px;color:grey;font-size:12px; font-family: Raleway; font-weight: normal"><td>Balance </td> <td style="color:#49b0bf">'.($leave_days+$all_an_leave).'<br/></td></tr>';
//        echo '<tr style="margin-bottom:5px;color:grey;font-size:12px; font-family: Raleway; font-weight: normal"><td>Used </td> <td style="color:#49b0bf">'.($used_leave_j+$used_leave).'<br/></td></tr>';
//        echo '<tr style="margin-bottom:5px;color:grey;font-size:12px; font-family: Raleway; font-weight: normal"><td>Pending </td> <td style="color:#49b0bf">'. ($pending_leave_j+$pending_leave).'<br/></td></tr>';
//        echo '<tr style="margin-bottom:5px;color:grey;font-size:12px; font-family: Raleway; font-weight: normal"><td>Available </td> <td style="color:#49b0bf">'.(($leave_days+$all_an_leave)-($used_leave_j+$used_leave)- ($pending_leave_j+$pending_leave)).'<br/></td></tr> </table></div>';
//            end



        $data['balance'] = $leave_days + $all_an_leave;
        $data['used_holiday'] = $used_leave_j + $used_leave;
        $data['leave_avail'] = (($leave_days + $all_an_leave) - ($used_leave_j + $used_leave) - ($pending_leave_j + $pending_leave));
        $data['pending_leave'] = ($pending_leave_j + $pending_leave);
        $avaialble_leave_hidden = $data['leave_avail'];


        //echo $avaialble_leave_hidden;exit;
        $full_calender = '<br/>';
        if ($msg != '') {
            $full_calender .= '<p style="color:#fff;text-align:center;margin-bottom:10px;">' . $msg . '</p>';
        }
        $full_calender .= '<div class="clear"></div>
    <form style="margin: 0 auto" method="post" action="' . site_url('employee/holiday_request') . '" enctype="multipart/form-data" >
        <table width="100%">
            <tr align="center">
                <td  class="dvtCellInfo"  >
                    <div id="calval">'
                . $str .
                '</div>
                </td>
            </tr>
        </table>
        <table width="100%">
            <tr align="right">
                <td class="dvtCellLabel" colspan="2" align="center">
                    ';
//        $employee_need_info = sql::row("employee", "employee_id='$employee_id'", "billable_hours_id");
//        $if_null = sql::row("billable_hours", "year='$request_year' and billable_hour_name='$employee_need_info[billable_hours_id]'", "annual_leave,week_per_year");
//        if ($avaialble_leave_hidden == '') {
//            $avaialble_leave_hidden = $if_null['annual_leave'];
//        }
//
//        if ($avaialble_leave_hidden == '' && $avaialble_leave_hidden != 0) {
//            $avaialble_leave_hidden = $if_null['annual_leave'];
//        }

        $full_calender .= '<div style="padding:10px;"><input type="hidden" name="available_leave" value="' . $avaialble_leave_hidden . '">' .
                '<input style="margin-left:10px;background-color:#4d6e9a;border-radius:5px;color:#fff;padding:10px 5px;text-align:center;float:right;margin-right:4px;border:1px solid #4d6e9a;" type="submit" value="Request" name="save"/>
                <input style="background-color:#4d6e9a;border-radius:3px;color:#fff;padding:10px 5px;text-align:center;float:left;margin-right:4px;border:1px solid #4d6e9a" type="submit" value="1/2 AM" name="half_am"/>
<input style="background-color:#4d6e9a;border-radius:3px;color:#fff;padding:10px 5px;text-align:center;float:left;border:1px solid #4d6e9a" type="submit" value="1/2 PM" name="half_pm"/></td></div>
            </tr>
        </table><br/>
        <p style="text-align:center;color:#fff;font-weight:500;color:#000;">Your available leave: ' . $avaialble_leave_hidden . '</p>

        </div>

    </form>




</div>
<br/><br/>






<div class="clear"></div>
<br/><br/>';
        echo $full_calender;
    }

    function add_personal_contact_details($employee_id = '') {
        if ($_POST['save']) {
            $this->employee_model->add_personal_contact_details($employee_id);
            $this->session->set_flashdata('msg', 'Successfully Added!!!');
            redirect('employee');
        }
        if (!is_numeric($employee_id)) {
            redirect('employee');
        }
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/add_personal_contact_details/' . $employee_id;
        $data['page'] = 'add_personal_contact_details';
        $data['page_title'] = 'Add Personal Contact Details';
        $this->load->view('main', $data);
    }

    function add_emergency_contact_details($employee_id = '') {
        if ($_POST['save']) {
            $this->employee_model->add_emergency_contact_details($employee_id);
            $this->session->set_flashdata('msg', 'Successfully Added!!!');
            redirect('employee');
        }
        if (!is_numeric($employee_id)) {
            redirect('employee');
        }
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/add_emergency_contact_details/' . $employee_id;
        $data['page'] = 'add_emergency_contact_details';
        $data['page_title'] = 'Add Emergency Contact Details';
        $this->load->view('main', $data);
    }

    function not_in_work($mon = '', $step = '') {
        if ($_POST['is_ajax'] == '1') {
            $mon = $_POST['mon_r'];
            $step = $_POST['step_r'];
        }
        if ($_POST['save']) {
            if ($_POST['request_date'] > 0) {
                $no_of_post_data = 0;
                foreach ($_POST['request_date'] as $val) {
                    $no_of_post_data++;
                }
                $no_of_post_data = $no_of_post_data;
                $this->employee_model->save_employee_not_in_work();
                $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                redirect('employee/not_in_work');
            }
        }
        if ($step == 1) {
            if ($mon == 1) {
                $year = $this->session->userdata('next_year');
                $year = $year + 1;
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }
        if ($step == 0) {
            if ($mon == 1) {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = $this->session->userdata('next_year');
                $year = $year - 1;
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }
        if ($mon == '') {
            $mon = date('m');
            if ($mon == 1) {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }

        $request_year = $year;
        $prev = $data['prev'];
        $next = $data['next'];

        $date = time();
        $day = date('d', $date);
        $month = $mon;
        $first_day = mktime(0, 0, 0, $month, 1, $year);
        $title = date('F', $first_day);
        $day_of_week = date('D', $first_day);
        switch ($day_of_week) {
            case "Sun": $blank = 0;
                break;
            case "Mon": $blank = 1;
                break;
            case "Tue": $blank = 2;
                break;
            case "Wed": $blank = 3;
                break;
            case "Thu": $blank = 4;
                break;
            case "Fri": $blank = 5;
                break;
            case "Sat": $blank = 6;
                break;
        }
        $days_in_month = cal_days_in_month(0, $month, $year);
        $str = '<table class="new_cal" border="1" width="100%" height="260" cellspacing="0">
            <tr><th colspan="2" style="padding-bottom:30px;width:25%;">
                    <a style="color:#ccc;text-decoration:none;font-size:15px;font-weight:normal;" onclick=not_in_work(' . $prev . ',0) href="javascript:void(0)">' . common::get_month_name($prev) . '</a>
                </th>
                <th colspan="3" style="padding-bottom:30px;width:50%;"><a href="javascript:void(0);" style="color:#fff;font-size:15px;font-weight:normal;text-decoration:none;">' . $title . ' ' . $year . ' </a></th>
                    <th colspan="2" style="padding-bottom:30px;width:25%;">
                    <a style="color:#ccc;text-decoration:none;font-size:15px;font-weight:normal;" onclick=not_in_work(' . $next . ',1) href="javascript:void(0)">' . common::get_month_name($next) . '</a>
                </th> </tr>';
        $str .= '<tr><th>Su</th> <th>Mo </th><th>Tu</th> <th>We</th> <th>Th</th> <th>Fr</th> <th>Sa</th>  </tr>';

        $days_coun = 1;
        $str .= "<tr>";
        while ($blank > 0) {
            $str .= '<td></td>';
            $blank = $blank - 1;
            $days_coun++;
        }
        $days_num = 1;
        $ff = '';
        $bg = '';
        while ($days_num <= $days_in_month) {
            if (strlen($days_num) == 1) {
                $da_val = '0' . $days_num;
            } else {
                $da_val = $days_num;
            }
            if (strlen($month) == 1) {
                $mon = '0' . $month;
            } else {
                $mon = $month;
            }
            $ff = '';
            $bg = '';
            $request_date = $year . '-' . $mon . '-' . $da_val;
            $employee_id = $this->session->userdata('employee_id');
            $is_exist_bank_holiday = sql::row("bank_holiday", "bank_holiday_date='$request_date'");
            if (count($is_exist_bank_holiday) > 0) {
                $color = 'style="background-color:#76933c;color:#fff;"';
            } else {
                $color = '';
            }

            $is_exist = sql::row("not_in_work", "DayVal='$request_date' and employee_id='$employee_id'");
            if (count($is_exist) > 0) {
                $color = 'style="background-color:red;color:#fff;"';
            }
            $str .= '<td><div class="tdcount" id="bg_' . $year . '-' . $mon . '-' . $da_val . '"' . $color . ' ><span class="counter_new_cal">' . $days_num . '</span>';
            $day_name = date('D', strtotime($request_date));
//            if ($day_name != 'Sat' && $day_name != 'Sun') {
//                if (count($is_exist_bank_holiday) < 1) {
            $str .= '<input ' . $ff . ' type="checkbox" name="request_date[]" value="' . $year . '-' . $mon . '-' . $da_val . '"  id="' . $month . '_' . $days_num . '"   class="c_' . $year . '-' . $mon . '-' . $da_val . '" onclick="days_chek(this.value)"  />';
            $str .= '<label for="' . $month . '_' . $days_num . '" style="font-size:14px;"></label>';
//                }
//            }
            $str .= '</div></td>';

            $days_num++;
            $days_coun++;
            if ($days_coun > 7) {
                $str .= '</tr><tr>';
                $days_coun = 1;
            }
        }
        while ($days_coun > 1 && $days_coun <= 7) {
            $str .= '<td></td>';
            $days_coun++;
        }
        $str .= "</tr></table><br>
                <input type='hidden' name='leave_val' id='leave_val' value='$dtvalck' />
                <input type='hidden' name='work_day' id='work_day' value='' />
                ";
        $data['str'] = $str;
        $date = time();
        $day = date('d', $date);
        $month = $mon - 1;
        if ($month == 0) {
            $month = 12;
            //$year = $year - 1;
        }
        $first_day = mktime(0, 0, 0, $month, 1, $year);
        $title = date('F', $first_day);
        $day_of_week = date('D', $first_day);
        switch ($day_of_week) {
            case "Sun": $blank = 0;
                break;
            case "Mon": $blank = 1;
                break;
            case "Tue": $blank = 2;
                break;
            case "Wed": $blank = 3;
                break;
            case "Thu": $blank = 4;
                break;
            case "Fri": $blank = 5;
                break;
            case "Sat": $blank = 6;
                break;
        }
        $days_in_month = cal_days_in_month(0, $month, $year);
        $str_prev = '<table class="calender_design" border="1" width="100%" height="260"  cellspacing="0"><tr><th colspan="62">' . $title . ' ' . $year . ' </th> </tr>';
        $str_prev .= '<tr><td>Su </td> <td>Mo </td><td>Tu</td> <td>We</td> <td>Th</td> <td>Fr</td> <td>Sa</td>  </tr>';
        $days_coun = 1;
        $str_prev .= "<tr>";
        while ($blank > 0) {
            $str_prev .= '<td></td>';
            $blank = $blank - 1;
            $days_coun++;
        }
        $days_num = 1;
        $ff = '';
        $bg = '';
        while ($days_num <= $days_in_month) {
            if (strlen($days_num) == 1) {
                $da_val = '0' . $days_num;
            } else {
                $da_val = $days_num;
            }
            if (strlen($month) == 1) {
                $mon = '0' . $month;
            } else {
                $mon = $month;
            }
            $ff = '';
            $bg = '';
            $request_date = $year . '-' . $mon . '-' . $da_val;
            $is_exist_bank_holiday = sql::row("bank_holiday", "bank_holiday_date='$request_date'");
            if (count($is_exist_bank_holiday) > 0) {
                $color = 'style="background-color:#76933c;color:#fff;width:100%;position:absolute;z-index:0;height:100%;;"';
            } else {
                $color = '';
            }
            $is_exist = sql::row("not_in_work", "DayVal='$request_date' and employee_id='$employee_id'");
            if (count($is_exist) > 0) {
                $color = 'style="background-color:red;color:#fff;width:100%;position:absolute;z-index:0;height:100%;;"';
            }
            $str_prev .= '<td style="padding:0;"><div style="height:30px;position:relative;"><div ' . $color . '></div><div style="position:absolute;z-index:1;top: 50%;margin-top: -10px;left: 50%;margin-left: -15px;">' . $days_num;
            $day_name = date('D', strtotime($request_date));
            //if ($day_name != 'Sat' && $day_name != 'Sun') {
            // $is_exist_bank_holiday = sql::row("bank_holiday", "bank_holiday_date='$request_date'");
            // if (count($is_exist_bank_holiday) < 1) {
            $str_prev .= '<input ' . $ff . ' class="datecheckbox" type="checkbox" name="request_date[]" value="' . $year . '-' . $mon . '-' . $da_val . '" id="' . $month . '_' . $days_num . '" onclick="days_chek(this)"  />';
            $str_prev .= '<label for="' . $month . '_' . $days_num . '" style="font-size:14px;"></label>';
            //}
            //}
            $str_prev .= '</div></div></td>';
            $days_num++;
            $days_coun++;
            if ($days_coun > 7) {
                $str_prev .= '</tr><tr>';
                $days_coun = 1;
            }
        }
        while ($days_coun > 1 && $days_coun <= 7) {
            $str_prev .= '<td></td>';
            $days_coun++;
        }
        $str_prev .= "</tr></table><br>
                <input type='hidden' name='leave_val' id='leave_val' value='$dtvalck' />
                <input type='hidden' name='work_day' id='work_day' value='' />";
        // $data['str_prev'] = $str_prev;
        $data['str_prev'] = $str_prev;
        $request_year = $year;
        $prev = $data['prev'];
        $next = $data['next'];


        //echo $avaialble_leave_hidden;exit;

        $full_calender = '<div style="margin-top: 15px; width:100%;float:left;">
    <div class="clear"></div>';
        $full_calender = '<div style="margin-right:10px;padding:0;float:left;">' .
                $employee_info['employee_first_name'] . ' ' . $employee_info['employee_last_name'] .
                '</div>
    <div class="clear"></div>
    <br/><br/>';
        if ($msg != '') {
            $full_calender .= '<p style="color:red; margin-bottom:10px; margin:0 auto;width:744px;">' . $msg . '</p>';
        }
        $full_calender .= '<div class="clear"></div>
    <form style="width:100%; margin: 0 auto" method="post" action="' . site_url('employee/not_in_work') . '" enctype="multipart/form-data" >




        <div class="clear"></div>
       

        <table width="100%"  style="width:100%;float:left;margin:0;">
            <tr align="center">
                <td  class="dvtCellInfo"  >
                    <div id="calval">'
                . $str .
                '</div>
                </td>
            </tr>
        </table>







        <table width="100%">
            <tr align="right">
                <td class="dvtCellLabel" colspan="2" align="center">
                    <br/>';


        $full_calender .= '<input style="background-color:#4d6e9a;border-radius:5px;color:#fff;padding:10px 30px;text-align:center;margin-right:4px;border:1px solid #4d6e9a;" type="submit" value="Not Available Days" name="save"/>
            </tr>
        </table>


        </div>

    </form>




</div>
<br/><br/>






<div class="clear"></div>
<br/><br/>';


        if ($_POST['is_ajax'] == '1') {
            echo $full_calender;
        } else {

            $data['content_of_page'] = $full_calender;
            $data['dir'] = $this->dir;
            $data['action'] = 'employee/not_in_work';
            $data['page'] = 'cl_month_not_in_work';
            $this->load->view('main', $data);
        }
    }

    function holiday_request($mon = '', $step = '') {
        if ($_POST['save']) {
            if (count($_POST['request_date']) > 0) {
                $no_of_post_data = 0;
                foreach ($_POST['request_date'] as $val) {
                    $no_of_post_data++;
                }
                $no_of_post_data = $no_of_post_data;

                if ($_POST['available_leave'] != 1) {
                    if ($no_of_post_data > $_POST['available_leave']) {
                        $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                        redirect('employee/holiday_request');
                    } else {
                        $this->employee_model->save_employee_holiday_request();
                        $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                        redirect('employee/holiday_request');
                    }
                } else {
                    $employee_id = $this->session->userdata('employee_id');
                    $year = $this->session->userdata('next_year');
                    $used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and employee_id=$employee_id and (status=1 or status=0)", "count(employee_id) as used_leave");
                    $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_issue_date,leave_left,billable_hours_id");
                    $start_year = date('Y', strtotime($employee_info['employee_issue_date']));
                    if ($start_year == "$year") {
                        $joining_week = date('W', strtotime($employee_info['employee_issue_date']));
                        $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$employee_info[billable_hours_id]'", "annual_leave,week_per_year");
                        $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
                        $week_left = $annual_leave['week_per_year'] - $joining_week;
                        $leave_days = round($per_week_holiday * $week_left) + $employee_info['leave_left'];
                        $leave_days = $leave_days - $used['used_leave'];
                        if ($no_of_post_data <= $leave_days) {
                            $this->employee_model->save_employee_holiday_request();
                            $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                            redirect('employee/holiday_request');
                        } else {
                            $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                            redirect('employee/holiday_request');
                        }
                    } else {
                        $employee_id = $this->session->userdata('employee_id');
                        $year = $this->session->userdata('next_year');
                        $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_issue_date,leave_left,billable_hours_id");
                        $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$employee_info[billable_hours_id]'", "annual_leave,week_per_year");
                        $leave_days = $annual_leave['annual_leave'];
                        $leave_days = $leave_days - $used['used_leave'];
                        if ($no_of_post_data <= $leave_days) {
                            $this->employee_model->save_employee_holiday_request();
                            $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                            redirect('employee/holiday_request');
                        } else {
                            $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                            redirect('employee/holiday_request');
                        }
                    }
                }
            } else {
                $this->session->set_flashdata('msg', 'Select the checkbox Minimum 1 day');
                redirect('employee/holiday_request');
            }
        }


        if ($_POST['half_am']) {
            if ($_POST['request_date'] > 0) {
                $no_of_post_data = 0;
                foreach ($_POST['request_date'] as $val) {
                    $no_of_post_data++;
                }
                $no_of_post_data = $no_of_post_data;

                if ($no_of_post_data > 1) {
                    $this->session->set_flashdata('msg', 'You should select a single day');
                    redirect('employee/holiday_request');
                }
                if ($_POST['available_leave'] != 1) {
                    if ($no_of_post_data > $_POST['available_leave']) {
                        $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                        redirect('employee/holiday_request');
                    } else {
                        $this->employee_model->save_employee_holiday_request_am();
                        $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                        redirect('employee/holiday_request');
                    }
                } else {

                    $employee_id = $this->session->userdata('employee_id');
                    $year = $this->session->userdata('next_year');

                    $used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and leave_count=1 and employee_id=$employee_id and (status=1 or status=0)", "count(employee_id) as used_leave");
                    $half_day_am_used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and leave_count=0.5 and leave_type='am' and employee_id=$employee_id and (status=1 or status=0)", "sum(leave_count) as used_leave_am");
                    $half_day_pm_used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and leave_count=0.5 and leave_type='pm' and employee_id=$employee_id and (status=1 or status=0)", "sum(leave_count) as used_leave_pm");

                    $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_issue_date,leave_left,billable_hours_id");
                    $start_year = date('Y', strtotime($employee_info['employee_issue_date']));
                    if ($start_year == "$year") {
                        $joining_week = date('W', strtotime($employee_info['employee_issue_date']));
                        $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$employee_info[billable_hours_id]'", "annual_leave,week_per_year");
                        $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
                        $week_left = $annual_leave['week_per_year'] - $joining_week;
                        $leave_days = round($per_week_holiday * $week_left) + $employee_info['leave_left'];
                        $leave_days = $leave_days - ($used['used_leave'] + $half_day_am_used['used_leave_am'] + $half_day_pm_used['used_leave_pm']);
                        if ($no_of_post_data <= $leave_days) {
                            $this->employee_model->save_employee_holiday_request_am();
                            $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                            redirect('employee/holiday_request');
                        } else {
                            $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                            redirect('employee/holiday_request');
                        }
                    } else {
                        $employee_id = $this->session->userdata('employee_id');
                        $year = $this->session->userdata('next_year');
                        $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_issue_date,leave_left,billable_hours_id");
                        $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$employee_info[billable_hours_id]'", "annual_leave,week_per_year");
                        $leave_days = $annual_leave['annual_leave'];
                        $leave_days = $leave_days - ($used['used_leave'] + $half_day_am_used['used_leave_am'] + $half_day_pm_used['used_leave_pm']);
                        if ($no_of_post_data <= $leave_days) {
                            $this->employee_model->save_employee_holiday_request_am();
                            $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                            redirect('employee/holiday_request');
                        } else {
                            $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                            redirect('employee/holiday_request');
                        }
                    }
                }
            } else {
                $this->session->set_flashdata('msg', 'Select the checkbox Minimum 1 day');
                redirect('employee/holiday_request');
            }
        }
        if ($_POST['half_pm']) {
            if ($_POST['request_date'] > 0) {
                $no_of_post_data = 0;
                foreach ($_POST['request_date'] as $val) {
                    $no_of_post_data++;
                }
                $no_of_post_data = $no_of_post_data;
                if ($no_of_post_data > 1) {
                    $this->session->set_flashdata('msg', 'You should select a single day');
                    redirect('employee/holiday_request');
                }
                if ($_POST['available_leave'] != 1) {
                    if ($no_of_post_data > $_POST['available_leave']) {
                        $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                        redirect('employee/holiday_request');
                    } else {
                        $this->employee_model->save_employee_holiday_request_pm();
                        $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                        redirect('employee/holiday_request');
                    }
                } else {
                    $employee_id = $this->session->userdata('employee_id');
                    $year = $this->session->userdata('next_year');

                    $used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and leave_count=1 and employee_id=$employee_id and (status=1 or status=0)", "count(employee_id) as used_leave");
                    $half_day_am_used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and leave_count=0.5 and leave_type='am' and employee_id=$employee_id and (status=1 or status=0)", "sum(leave_count) as used_leave_am");
                    $half_day_pm_used = sql::row("leavcalender", "1 and year(leavcalender.DayVal)='$year' and leave_count=0.5 and leave_type='pm' and employee_id=$employee_id and (status=1 or status=0)", "sum(leave_count) as used_leave_pm");

                    $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_issue_date,leave_left,billable_hours_id");
                    $start_year = date('Y', strtotime($employee_info['employee_issue_date']));
                    if ($start_year == "$year") {
                        $joining_week = date('W', strtotime($employee_info['employee_issue_date']));
                        $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$employee_info[billable_hours_id]'", "annual_leave,week_per_year");
                        $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
                        $week_left = $annual_leave['week_per_year'] - $joining_week;
                        $leave_days = round($per_week_holiday * $week_left) + $employee_info['leave_left'];
                        $leave_days = $leave_days - ($used['used_leave'] + $half_day_am_used['used_leave_am'] + $half_day_pm_used['used_leave_pm']);
                        if ($no_of_post_data <= $leave_days) {
                            $this->employee_model->save_employee_holiday_request_pm();
                            $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                            redirect('employee/holiday_request');
                        } else {
                            $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                            redirect('employee/holiday_request');
                        }
                    } else {
                        $employee_id = $this->session->userdata('employee_id');
                        $year = $this->session->userdata('next_year');
                        $employee_info = sql::row("employee", "employee_id='$employee_id'", "employee_issue_date,leave_left,billable_hours_id");
                        $annual_leave = sql::row("billable_hours", "year='$year' and billable_hour_name='$employee_info[billable_hours_id]'", "annual_leave,week_per_year");
                        $leave_days = $annual_leave['annual_leave'];
                        $leave_days = $leave_days - ($used['used_leave'] + $half_day_am_used['used_leave_am'] + $half_day_pm_used['used_leave_pm']);
                        if ($no_of_post_data <= $leave_days) {
                            $this->employee_model->save_employee_holiday_request_pm();
                            $this->session->set_flashdata('msg', 'Successfully Request completed!!!');
                            redirect('employee/holiday_request');
                        } else {
                            $this->session->set_flashdata('msg', "Your Request is greater than your Available Holidays");
                            redirect('employee/holiday_request');
                        }
                    }
                }
            } else {
                $this->session->set_flashdata('msg', 'Select the checkbox Minimum 1 day');
                redirect('employee/holiday_request');
            }
        }

        if ($step == 1) {
            if ($mon == 1) {
                $year = $this->session->userdata('next_year');
                $year = $year + 1;
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }
        if ($step == 0) {
            if ($mon == 1) {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = $this->session->userdata('next_year');
                $year = $year - 1;
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = $this->session->userdata('next_year');
                if ($year == '') {
                    $year = date('Y');
                }
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }
        if ($mon == '') {
            $mon = date('m');
            if ($mon == 1) {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = 12;
                $data['next'] = $mon + 1;
            } else if ($mon == 12) {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = 1;
            } else {
                $year = date('Y');
                $this->session->set_userdata('next_year', "$year");
                $data['prev'] = $mon - 1;
                $data['next'] = $mon + 1;
            }
        }

        $request_year = $year;
        $prev = $data['prev'];
        $next = $data['next'];

        $date = time();
        $day = date('d', $date);
        $month = $mon;
        $first_day = mktime(0, 0, 0, $month, 1, $year);
        $title = date('F', $first_day);
        $day_of_week = date('D', $first_day);
        switch ($day_of_week) {
            case "Sun": $blank = 0;
                break;
            case "Mon": $blank = 1;
                break;
            case "Tue": $blank = 2;
                break;
            case "Wed": $blank = 3;
                break;
            case "Thu": $blank = 4;
                break;
            case "Fri": $blank = 5;
                break;
            case "Sat": $blank = 6;
                break;
        }
        $days_in_month = cal_days_in_month(0, $month, $year);

        $str = '<table class="new_cal" border="1" width="100%" height="260" cellspacing="0">
            <tr><th colspan="2" style="padding-bottom:30px;width:25%;text-align:left;padding-left:10px;">
                    <a style="color:#ccc;text-decoration:none;font-size:15px;font-weight:normal;" onclick=holiday_request_ajax(' . $prev . ',0) href="javascript:void(0)"">' . common::get_month_name($prev) . '</a>
                </th>
                <th colspan="3" style="padding-bottom:30px;width:50%;"><a href="javascript:void(0);" style="color:#fff;font-size:15px;font-weight:normal;text-decoration:none;">' . $title . ' ' . $year . ' </a></th>
                    <th colspan="2" style="padding-bottom:30px;width:25%;text-align:right;padding-right:10px;">
                    <a style="color:#ccc;text-decoration:none;font-size:15px;font-weight:normal;" onclick=holiday_request_ajax(' . $next . ',1) href="javascript:void(0)">' . common::get_month_name($next) . '</a>
                </th> </tr>';
        $str .= '<tr><th>Su</th> <th>Mo </th><th>Tu</th> <th>We</th> <th>Th</th> <th>Fr</th> <th>Sa</th>  </tr>';



        $days_coun = 1;
        $str .= "<tr>";
        while ($blank > 0) {
            $str .= '<td></td>';
            $blank = $blank - 1;
            $days_coun++;
        }
        $days_num = 1;
        $ff = '';
        $bg = '';
        while ($days_num <= $days_in_month) {
            if (strlen($days_num) == 1) {
                $da_val = '0' . $days_num;
            } else {
                $da_val = $days_num;
            }
            if (strlen($month) == 1) {
                $mon = '0' . $month;
            } else {
                $mon = $month;
            }
            $ff = '';
            $bg = '';
            $request_date = $year . '-' . $mon . '-' . $da_val;
            $employee_id = $this->session->userdata('employee_id');
            $is_exist = sql::row("leavcalender", "DayVal='$request_date' and employee_id='$employee_id'");
            if (count($is_exist) > 0) {
                if ($is_exist['status'] == 0) {
                    if ($is_exist['leave_type'] == 'am') {
                        $color = 'style="background-color:#fabf8f;color:#000;"';
                    } elseif ($is_exist['leave_type'] == 'pm') {
                        $color = 'style="background-color:#fabf8f;color:#000;"';
                    } else {
                        $color = 'style="background-color:#fabf8f;color:#000;"';
                    }
                } else if ($is_exist['status'] == 1) {
                    if ($is_exist['leave_type'] == 'am') {
                        $color = 'style="background-color:#c4d79b;color:#000;"';
                    } elseif ($is_exist['leave_type'] == 'pm') {
                        $color = 'style="background-color:#c4d79b;color:#000;';
                    } else {
                        $color = 'style="background-color:#c4d79b;color:#000;"';
                    }
                } else if ($is_exist['status'] == 2) {
                    if ($is_exist['leave_type'] == 'am') {
                        $color = 'style="background-color:red;color:#fff;"';
                    } elseif ($is_exist['leave_type'] == 'pm') {
                        $color = 'style="background-color:red;color:#fff;"';
                    } else {
                        $color = 'style="background-color:red;color:#fff;"';
                    }
                }
            } else {
                $color = 'style=""';
            }
            $is_exist_bank_holiday = sql::row("bank_holiday", "bank_holiday_date='$request_date'");
            if (count($is_exist_bank_holiday) > 0) {
                $color = 'style="background-color:#76933c;color:#fff;"';
            }
            $str .= '<td><div class="tdcount" id="bg_' . $year . '-' . $mon . '-' . $da_val . '"' . $color . ' ><span class="counter_new_cal">' . $days_num . '</span>';
            $day_name = date('D', strtotime($request_date));
            if ($day_name != 'Sat' && $day_name != 'Sun') {
                if (count($is_exist_bank_holiday) < 1) {
                    $str .= '<input ' . $ff . ' type="checkbox" name="request_date[]" value="' . $year . '-' . $mon . '-' . $da_val . '"  id="' . $month . '_' . $days_num . '"   class="c_' . $year . '-' . $mon . '-' . $da_val . '" onclick="days_chek(this.value)"  />';
                    $str .= '<label for="' . $month . '_' . $days_num . '" style="font-size:14px;"></label>';
                }
            }
            $str .= '</div></td>';
            $days_num++;
            $days_coun++;
            if ($days_coun > 7) {
                $str .= '</tr><tr>';
                $days_coun = 1;
            }
        }
        while ($days_coun > 1 && $days_coun <= 7) {
            $str .= '<td></td>';
            $days_coun++;
        }
        $str .= "</tr></table><br>
                <input type='hidden' name='leave_val' id='leave_val' value='$dtvalck' />
                <input type='hidden' name='work_day' id='work_day' value='' />
                ";
        $data['str'] = $str;

        $request_year = $year;
        $prev = $data['prev'];
        $next = $data['next'];
        $msg = $this->session->flashdata('msg');


//        $employee_id = $this->session->userdata('employee_id');
//        $total_pending_leave = sql::rows("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
//        $total_pending_leave_am = sql::row("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
//        $total_pending_leave_pm = sql::row("leavcalender", "year(DayVal)='$request_year' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
//        $pending_leave = count($total_pending_leave)+$total_pending_leave_am[total_pending_am]+$total_pending_leave_pm[total_pending_pm];
//        $data['pending_leave'] = $pending_leave;
//        $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$request_year'", "count(bank_holiday_id) as total_bank_holiday");
//        $leave = $this->employee_model->get_employee_leave_grid_cl_month($request_year);
//        foreach ($leave as $leave) {
//            $annual_leave = sql::row("billable_hours", "year='$request_year' and billable_hour_name='$leave[billable_hours_id]'", "annual_leave,week_per_year");
//            if ($annual_leave['week_per_year'] == '') {
//                $annual_leave['week_per_year'] = 1;
//            }
//            $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
//            $employee_start_year = $leave['start_year'];
//            if ($employee_start_year == "$request_year") {
//                $joining_week = date('W', strtotime($leave[employee_issue_date]));
//                $week_left = $annual_leave['week_per_year'] - $joining_week;
//                $leave_days = round($per_week_holiday * $week_left);
//            } else {
//                $joining_week = date('W', strtotime($leave[employee_issue_date]));
//                $days_used = round($per_week_holiday * $joining_week);
//                $leave_days = $annual_leave['annual_leave'] - $days_used;
//            }
//            $total_used_leave = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count=1 and employee_id='$leave[employee_id]'", "count(leave_calender_id) as total_used");
//            $total_used_leave_am = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$leave[employee_id]'", "sum(leave_count) as total_used_am");
//            $total_used_leave_pm = sql::row("leavcalender", "year(DayVal)<'$request_year' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$leave[employee_id]'", "sum(leave_count) as total_used_pm");
//            $used_leave = $total_used_leave['total_used']+$total_used_leave_am['total_used_am']+$total_used_leave_pm['total_used_pm'];
//            $total_leave = sql::row("billable_hours", "year='$request_year' and year>='$employee_start_year' and billable_hour_name='$leave[billable_hours_id]'", "sum(annual_leave) as total_annual");
//            $available_leaved = $total_leave['total_annual'];
//
//
//            $avail = $available_leaved - $used_leave;
//            $annual_leave_for_this_year = $avail + $leave_days;
//
//            $avaialble_leave_hidden = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;
//
//
//        }
//        $balance = $annual_leave_for_this_year + $leave['leave_left'];
//        $data['balance'] = $balance;
//        $used_holiday = $leave['used_in_year'];
//        $data['used_holiday'] = $used_holiday;
//        $leave_avail = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;
//        $data['leave_avail'] = $leave_avail;
//        $avaialble_leave_hidden = $annual_leave_for_this_year + $leave['leave_left'] - $leave['used_in_year'] - $pending_leave;


        $employee_id = $this->session->userdata('employee_id');
        $bank_holiday = sql::row("bank_holiday", "bank_holiday_year='$request_year'", "count(bank_holiday_id) as total_bank_holiday");



//        new work for avail days start
        $employee_id = $this->session->userdata('employee_id');
        $employee_inf_new = sql::row("employee", "employee_id='$employee_id'", "employee_first_name,leave_left,employee_last_name,employee_pps_number,billable_hours_id,employee_issue_date,year(employee_issue_date) as start_year");
        $employee_start_year = $employee_inf_new['start_year'];

        if ($request_year >= $employee_start_year) {

            $annual_leave = sql::row("billable_hours", "year='$employee_start_year' and billable_hour_name='$employee_inf_new[billable_hours_id]'", "annual_leave,week_per_year");
            if ($annual_leave['week_per_year'] == '') {
                $annual_leave['week_per_year'] = 1;
            }
            $per_week_holiday = $annual_leave['annual_leave'] / $annual_leave['week_per_year'];
            $joining_week = date('W', strtotime($employee_inf_new[employee_issue_date]));
            if ($joining_week == 52 || $joining_week == 53) {
                $joining_week = 0;
            }
            $week_left = $annual_leave['week_per_year'] - $joining_week;


            $leave_days = round($per_week_holiday * $week_left);

            $total_used_leave_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and DayVal>='$employee_inf_new[employee_issue_date]' and status=1 and leave_count=1 and employee_id='$employee_id'", "count(leave_calender_id) as total_used");
            $total_used_leave_am_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and DayVal>='$employee_inf_new[employee_issue_date]' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_used_am");
            $total_used_leave_pm_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and DayVal>='$employee_inf_new[employee_issue_date]' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_used_pm");

            $used_leave_j = $total_used_leave_j['total_used'] + $total_used_leave_am_j['total_used_am'] + $total_used_leave_pm_j['total_used_pm'];

            $total_pending_leave_j = sql::rows("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
            $total_pending_leave_am_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
            $total_pending_leave_pm_j = sql::row("leavcalender", "year(DayVal)='$employee_start_year' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
            $pending_leave_j = count($total_pending_leave_j) + $total_pending_leave_am_j[total_pending_am] + $total_pending_leave_pm_j[total_pending_pm];




            $all_an_leave = '';
            $used_leave = '';
            for ($i = $employee_start_year + 1; $i <= $request_year; $i++) {
                $annual_leave = sql::row("billable_hours", "year='$i' and billable_hour_name='$employee_inf_new[billable_hours_id]'", "annual_leave,week_per_year");
                $all_an_leave += $annual_leave[annual_leave];


                $total_used_leave = sql::row("leavcalender", "year(DayVal)='$i' and DayVal>='$employee_inf_new[employee_issue_date]' and status=1 and leave_count=1 and employee_id='$employee_id'", "count(leave_calender_id) as total_used");
                $total_used_leave_am = sql::row("leavcalender", "year(DayVal)='$i' and DayVal>='$employee_inf_new[employee_issue_date]' and status=1 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_used_am");
                $total_used_leave_pm = sql::row("leavcalender", "year(DayVal)='$i' and DayVal>='$employee_inf_new[employee_issue_date]' and status=1 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_used_pm");
                $used_leave += $total_used_leave['total_used'] + $total_used_leave_am['total_used_am'] + $total_used_leave_pm['total_used_pm'];

                $total_pending_leave = sql::rows("leavcalender", "year(DayVal)='$i' and status=0 and leave_count=1 and employee_id='$employee_id'", "leave_calender_id");
                $total_pending_leave_am = sql::row("leavcalender", "year(DayVal)='$i' and status=0 and leave_count='0.5' and leave_type='am' and employee_id='$employee_id'", "sum(leave_count) as total_pending_am");
                $total_pending_leave_pm = sql::row("leavcalender", "year(DayVal)='$i' and status=0 and leave_count='0.5' and leave_type='pm' and employee_id='$employee_id'", "sum(leave_count) as total_pending_pm");
                $pending_leave = count($total_pending_leave) + $total_pending_leave_am[total_pending_am] + $total_pending_leave_pm[total_pending_pm];
            }
        }




        $data['balance'] = $leave_days + $all_an_leave;
        $data['used_holiday'] = $used_leave_j + $used_leave;
        $data['leave_avail'] = (($leave_days + $all_an_leave) - ($used_leave_j + $used_leave) - ($pending_leave_j + $pending_leave));
        $data['pending_leave'] = ($pending_leave_j + $pending_leave);
        $avaialble_leave_hidden = $data['leave_avail'];



        $full_calender = '<br/>';
        if ($msg != '') {
            $full_calender .= '<p style="color:#fff;text-align:center;margin-bottom:10px;">' . $msg . '</p>';
        }
        $full_calender .= '<div class="clear"></div>
    <form style="margin: 0 auto" method="post" action="' . site_url('employee/holiday_request') . '" enctype="multipart/form-data" >
        <table width="100%">
            <tr align="center">
                <td  class="dvtCellInfo"  >
                    <div id="calval">'
                . $str .
                '</div>
                </td>
            </tr>
        </table>
        <table width="100%">
            <tr align="right">
                <td class="dvtCellLabel" colspan="2" align="center">
                    ';
//        $employee_need_info = sql::row("employee", "employee_id='$employee_id'", "billable_hours_id");
//        $if_null = sql::row("billable_hours", "year='$request_year' and billable_hour_name='$employee_need_info[billable_hours_id]'", "annual_leave,week_per_year");
//        if ($avaialble_leave_hidden == '') {
//            $avaialble_leave_hidden = $if_null['annual_leave'];
//        }
//
//        if ($avaialble_leave_hidden == '' && $avaialble_leave_hidden != 0) {
//            $avaialble_leave_hidden = $if_null['annual_leave'];
//        }
        $full_calender .= '<div style="padding:10px;"><input type="hidden" name="available_leave" value="' . $avaialble_leave_hidden . '">' .
                '<input style="margin-left:10px;background-color:#4d6e9a;border-radius:5px;color:#fff;padding:10px 5px;text-align:center;float:right;margin-right:4px;border:1px solid #4d6e9a;" type="submit" value="Request" name="save"/>
                <input style="background-color:#4d6e9a;border-radius:3px;color:#fff;padding:10px 5px;text-align:center;float:left;margin-right:4px;border:1px solid #4d6e9a" type="submit" value="1/2 AM" name="half_am"/>
<input style="background-color:#4d6e9a;border-radius:3px;color:#fff;padding:10px 5px;text-align:center;float:left;border:1px solid #4d6e9a" type="submit" value="1/2 PM" name="half_pm"/></td></div>
            </tr>
        </table><br/>
        <p style="text-align:center;color:#fff;font-weight:500;color:#000;">Your available leave: ' . $avaialble_leave_hidden . '</p>

        </div>

    </form>




</div>
<br/><br/>






<div class="clear"></div>
<br/><br/>';

        $data['content_of_page'] = $full_calender;
        $data['dir'] = $this->dir;
        $data['action'] = 'employee/holiday_request';
        $data['page'] = 'cl_month';
        $data['page_title'] = 'Holiday Request';
        $this->load->view('main', $data);
    }

    function save_signature() {
        $employee_id = $this->session->userdata('employee_id');
        $imagesig = $_POST['imagesig'];
        $this->db->update('employee', array("imagesig" => $imagesig), array("employee_id" => $employee_id));
    }

}

?>